!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1253) = coupl(nGC_763)*dsw_QED2 + coupl(nGC_764)*dZee_QED2
      coupl(nGC_1255) = coupl(nGC_765)*dcw_QED2 + coupl(nGC_766)*dsw_QED2 +    &
                        coupl(nGC_767)*dZee_QED2
      coupl(nGC_1257) = -cima*dl1_QED4
      coupl(nGC_1399) = coupl(nGC_833)*dsw_QED2 + coupl(nGC_834)*dZee_QED2 +   &
                        coupl(nGC_835)*dMZ2_QED2
      coupl(nGC_1398) = coupl(nGC_823)*dsw_QED2 + coupl(nGC_824)*dZee_QED2 +   &
                        coupl(nGC_825)*dMW2_QED2
      coupl(nGC_1469) = -cima*dMU_QED2
      coupl(nGC_1468) = -cima*dMTA_QED2
      coupl(nGC_1463) = -cima*dMHL2_QED2
      coupl(nGC_1393) = coupl(nGC_826)*dsw_QED2 + coupl(nGC_827)*dZee_QED2 +   &
                        coupl(nGC_828)*dMW2_QED2
      coupl(nGC_1467) = -cima*dMM_QED2
      coupl(nGC_1394) = coupl(nGC_829)*dsw_QED2 + coupl(nGC_830)*dZee_QED2 +   &
                        coupl(nGC_831)*dMW2_QED2 + coupl(nGC_832)*da_QED2
      coupl(nGC_1397) = coupl(nGC_800)*dcw_QED2 + coupl(nGC_801)*dsw_QED2 +    &
                        coupl(nGC_802)*dZee_QED2
      coupl(nGC_1261) = coupl(nGC_773)*da_QED2 + coupl(nGC_774)*dl2_QED4 +     &
                        coupl(nGC_775)*dl1_QED4 + coupl(nGC_776)*dl3_QED4
      coupl(nGC_1263) = coupl(nGC_803)*da_QED2 + coupl(nGC_804)*dl2_QED4 +     &
                        coupl(nGC_805)*dl1_QED4 + coupl(nGC_806)*dl3_QED4
      coupl(nGC_1386) = coupl(nGC_696)*dyup_QED3 + coupl(nGC_697)*da_QED2
      coupl(nGC_1387) = coupl(nGC_696)*dyup_QED1_QCD2
      coupl(nGC_1382) = coupl(nGC_698)*dyc_QED3 + coupl(nGC_699)*da_QED2
      coupl(nGC_1383) = coupl(nGC_698)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_78_Hh) = -coupl(nGC_78)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1479) = -cima*dMB_QED2
      coupl(nGC_1471) = -cima*dMC_QED2
      coupl(nGC_1472) = -cima*dMC_QCD2
      coupl(nGC_1473) = -cima*dMT_QED2
      coupl(nGC_1475) = -cima*dMD_QED2
      coupl(nGC_1476) = -cima*dMD_QCD2
      coupl(nGC_1276) = coupl(nGC_820)*dsw_QED2 + coupl(nGC_821)*dZee_QED2 +   &
                        coupl(nGC_822)*da_QED2
      coupl(nGC_1274) = coupl(nGC_733)*dZee_QED2
      coupl(nGC_1279) = coupl(nGC_768)*dsw_QED2 + coupl(nGC_769)*dZee_QED2
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1713) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1712) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1668) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1663) = coupl(nGC_1383) + coupl(nGC_88)*dZcL_QCD2/2d0 + coupl( &
                        nGC_88)*dZcR_QCD2/2d0
      coupl(nGC_1662) = coupl(nGC_1382) + coupl(nGC_88)*dZHh_QED2/2d0 + coupl( &
                        nGC_88)*dZcL_QED2/2d0 + coupl(nGC_88)*dZcR_QED2/2d0 +  &
                        coupl(nGC_89)*dZHlHh_QED2/2d0
      coupl(nGC_1667) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1288) = coupl(nGC_777)*dsw_QED2 + coupl(nGC_778)*dZee_QED2 +   &
                        coupl(nGC_779)*da_QED2
      coupl(nGC_1287) = coupl(nGC_784)*dsw_QED2 + coupl(nGC_785)*dZee_QED2 +   &
                        coupl(nGC_786)*da_QED2
      coupl(nGC_1286) = coupl(nGC_770)*dsw_QED2 + coupl(nGC_771)*dZee_QED2 +   &
                        coupl(nGC_772)*da_QED2
      coupl(nGC_1285) = coupl(nGC_761)*dsw_QED2 + coupl(nGC_762)*dZee_QED2
      coupl(nGC_1283) = coupl(nGC_795)*dsw_QED2 + coupl(nGC_796)*dZee_QED2 +   &
                        coupl(nGC_797)*da_QED2
      coupl(nGC_1281) = coupl(nGC_836)*dsw_QED2 + coupl(nGC_837)*dZee_QED2 +   &
                        coupl(nGC_838)*da_QED2
      coupl(nGC_1280) = coupl(nGC_807)*dsw_QED2 + coupl(nGC_808)*dZee_QED2 +   &
                        coupl(nGC_809)*da_QED2
      coupl(nGC_1478) = -cima*dMS_QCD2
      coupl(nGC_1470) = -cima*dMU_QCD2
      coupl(nGC_1474) = -cima*dMT_QCD2
      coupl(nGC_1477) = -cima*dMS_QED2
      coupl(nGC_1708) = coupl(nGC_73)*dZZA_QED2/2d0
      coupl(nGC_1706) = coupl(nGC_51)*dZuR_QCD2
      coupl(nGC_1704) = coupl(nGC_54)*dZuL_QCD2
      coupl(nGC_1677) = coupl(nGC_54)*dZcL_QCD2
      coupl(nGC_1292) = coupl(nGC_632)*dcw_QED2 + coupl(nGC_633)*dsw_QED2 +    &
                        coupl(nGC_634)*dZee_QED2 + coupl(nGC_635)*da_QED2
      coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1625) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_1605) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_1609) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_1608) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1590) = coupl(nGC_50)*dZsR_QCD2
      coupl(nGC_1597) = coupl(nGC_53)*dZdL_QCD2
      coupl(nGC_1595) = coupl(nGC_1394) + coupl(nGC_44)*dZHh_QED2/2d0 + coupl( &
                        nGC_49)*dZHlHh_QED2/2d0
      coupl(nGC_1599) = coupl(nGC_50)*dZdR_QCD2
      coupl(nGC_1610) = coupl(nGC_1281) + coupl(nGC_35)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_46)*dZHl_QED2/2d0 + coupl(nGC_46)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_TS_GC_72_Hh) = -coupl(nGC_72)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1101) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(     &
                        nGC_33)**2d0*coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_95&
                        )**2d0 + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1584) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1588) = coupl(nGC_53)*dZsL_QCD2
      coupl(nGC_1324) = cima*dyc_QED1_QCD2
      coupl(nGC_1325) = cima*dyt_QED3
      coupl(nGC_1326) = cima*dyt_QED1_QCD2
      coupl(nGC_1327) = -cima*dyb_QED3
      coupl(nGC_1320) = cima*dyup_QED1_QCD2
      coupl(nGC_1321) = -cima*dys_QED3
      coupl(nGC_1322) = -cima*dys_QED1_QCD2
      coupl(nGC_1323) = cima*dyc_QED3
      coupl(nGC_1328) = -cima*dyb_QED1_QCD2
      coupl(nGC_TS_GC_74_Hl) = -coupl(nGC_74)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_89_Hl) = -coupl(nGC_89)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1607) = coupl(nGC_1474) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1604) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_1624) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1626) = coupl(nGC_56)*dZZA_QED2/2d0
      coupl(nGC_1621) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1620) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1623) = coupl(nGC_1472) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1823) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_1821) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1481) = cima*dMZ2_QED2
      coupl(nGC_1480) = -cima*dMB_QCD2
      coupl(nGC_1483) = coupl(nGC_405)*dMW2_QED2
      coupl(nGC_1482) = cima*dMW2_QED2
      coupl(nGC_1485) = coupl(nGC_413)*dMZ2_QED2
      coupl(nGC_1484) = coupl(nGC_409)*dMW2_QED2
      coupl(nGC_1310) = coupl(nGC_798)*dsw_QED2 + coupl(nGC_799)*dZee_QED2
      coupl(nGC_1317) = -cima*dydo_QED3
      coupl(nGC_1319) = cima*dyup_QED3
      coupl(nGC_1318) = -cima*dydo_QED1_QCD2
      coupl(nGC_998) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_996) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_994) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_83_Hh) = -coupl(nGC_83)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1632) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1633) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1636) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1637) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_TS_GC_19_Hl) = -coupl(nGC_19)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1545) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZmuMinusL_QED2/2d0 + coupl(nGC_33)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1547) = coupl(nGC_65)*dZZA_QED2/2d0
      coupl(nGC_1548) = -coupl(nGC_1283) - coupl(nGC_34)*dZHh_QED2/2d0 - coupl(&
                        nGC_34)*dZWMinus_QED2/2d0 - coupl(nGC_47)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1497) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_1495) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_1493) = coupl(nGC_1285) + coupl(nGC_26)*dZWMinus_QED2
      coupl(nGC_1499) = coupl(nGC_1263) + coupl(nGC_21)*dZHlHh_QED2 + coupl(   &
                        nGC_22)*dZHhHl_QED2 + coupl(nGC_25)*dZHh_QED2 + coupl( &
                        nGC_25)*dZHl_QED2
      coupl(nGC_1306) = coupl(nGC_680)*dcw_QED2 + coupl(nGC_681)*dsw_QED2 +    &
                        coupl(nGC_682)*dZee_QED2 + coupl(nGC_683)*dvev_QED1 +  &
                        coupl(nGC_684)*da_QED2
      coupl(nGC_TS_GC_65_Hh) = -coupl(nGC_65)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1301) = coupl(nGC_636)*dcw_QED2 + coupl(nGC_637)*dsw_QED2 +    &
                        coupl(nGC_638)*dZee_QED2
      coupl(nGC_1216) = -cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_73_Hl) = -coupl(nGC_73)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1143) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_TS_GC_57_Hh) = -coupl(nGC_57)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1808) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_1804) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1800) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_1802) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_1794) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1793) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1798) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_1575) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_1577) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_1373) = coupl(nGC_695)*dyc_QED1_QCD2
      coupl(nGC_1372) = coupl(nGC_695)*dyc_QED3
      coupl(nGC_1371) = coupl(nGC_607)*dyup_QED1_QCD2
      coupl(nGC_1370) = coupl(nGC_607)*dyup_QED3
      coupl(nGC_1375) = coupl(nGC_694)*dyc_QED1_QCD2
      coupl(nGC_1374) = coupl(nGC_694)*dyc_QED3
      coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1812) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1810) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_1816) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1814) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1815) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_TS_GC_67_Hl) = -coupl(nGC_67)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1142) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1782) = -2d0*coupl(nGC_1253) - 4d0*coupl(nGC_27)*dZWMinus_QED2
      coupl(nGC_1783) = coupl(nGC_1253) + 2d0*coupl(nGC_27)*dZWMinus_QED2
      coupl(nGC_1780) = coupl(nGC_1292) + coupl(nGC_57)*dZHh_QED2/2d0 + coupl( &
                        nGC_57)*dZZ_QED2/2d0 + coupl(nGC_61)*dZHlHh_QED2/2d0
      coupl(nGC_1786) = coupl(nGC_1280) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                        nGC_35)*dZWMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1785) = coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1788) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_TS_GC_98_Hh) = -coupl(nGC_98)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1569) = coupl(nGC_1306) + coupl(nGC_72)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_73)*dZHl_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl&
                        (nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_67_Hl)
      coupl(nGC_1562) = coupl(nGC_67)*dZZA_QED2/2d0
      coupl(nGC_1638) = coupl(nGC_1279) + coupl(nGC_32)*dZWMinus_QED2/2d0
      coupl(nGC_1368) = coupl(nGC_608)*dyup_QED3
      coupl(nGC_1369) = coupl(nGC_608)*dyup_QED1_QCD2
      coupl(nGC_1360) = coupl(nGC_728)*dytau_QED3
      coupl(nGC_1362) = coupl(nGC_710)*dye_QED3 + coupl(nGC_711)*da_QED2
      coupl(nGC_1363) = coupl(nGC_716)*dym_QED3 + coupl(nGC_717)*da_QED2
      coupl(nGC_1365) = coupl(nGC_712)*dye_QED3 + coupl(nGC_713)*da_QED2
      coupl(nGC_1366) = coupl(nGC_719)*dym_QED3 + coupl(nGC_720)*da_QED2
      coupl(nGC_1635) = coupl(nGC_1470) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1215) = cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1127) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl&
                        (nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1124) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_120)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_91)*coupl(nGC_92) + coupl(    &
                        nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1125) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl&
                        (nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1173) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1779) = -coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1775) = coupl(nGC_1283) + coupl(nGC_34)*dZHh_QED2/2d0 + coupl( &
                        nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_47)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1773) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1772) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1771) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1519) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1511) = coupl(nGC_1287) + coupl(nGC_28)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_30)*dZHh_QED2/2d0 + coupl(nGC_30)*dZHl_QED2/2d0 + &
                        coupl(nGC_30)*dZWMinus_QED2 + coupl(nGC_31)*dZHlHh_QED2&
                        /2d0
      coupl(nGC_1517) = coupl(nGC_1328) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl( &
                        nGC_80)*dZtL_QCD2/2d0
      coupl(nGC_1516) = coupl(nGC_1327) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl( &
                        nGC_80)*dZtL_QED2/2d0
      coupl(nGC_1689) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1683) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_1681) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_1684) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1355) = -cima*dytau_QED3
      coupl(nGC_1354) = -cima*dym_QED3
      coupl(nGC_1357) = coupl(nGC_708)*dye_QED3
      coupl(nGC_1356) = coupl(nGC_709)*dye_QED3
      coupl(nGC_1351) = coupl(nGC_687)*dyb_QED3 + coupl(nGC_688)*da_QED2
      coupl(nGC_1350) = coupl(nGC_726)*dys_QED1_QCD2
      coupl(nGC_1353) = -cima*dye_QED3
      coupl(nGC_1352) = coupl(nGC_687)*dyb_QED1_QCD2
      coupl(nGC_1359) = coupl(nGC_714)*dym_QED3
      coupl(nGC_1358) = coupl(nGC_715)*dym_QED3
      coupl(nGC_1227) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0  &
                         - coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(    &
                        nGC_54)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1226) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 + &
                        coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_1229) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) -     &
                        coupl(nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_1228) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1391) = coupl(nGC_281)*dyt_QED1_QCD2
      coupl(nGC_1395) = coupl(nGC_848)*dsw_QED2 + coupl(nGC_849)*dZee_QED2 +   &
                        coupl(nGC_850)*dMW2_QED2 + coupl(nGC_851)*da_QED2
      coupl(nGC_1466) = -cima*dME_QED2
      coupl(nGC_1764) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1765) = -coupl(nGC_1279) - coupl(nGC_32)*dZWMinus_QED2/2d0
      coupl(nGC_1760) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1762) = coupl(nGC_1480) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_1763) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1508) = -coupl(nGC_1274) - coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_1509) = coupl(nGC_66)*dZZA_QED2/2d0
      coupl(nGC_1503) = coupl(nGC_53)*dZbL_QCD2
      coupl(nGC_1505) = coupl(nGC_50)*dZbR_QCD2
      coupl(nGC_1690) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1693) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1695) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1696) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_1342) = coupl(nGC_704)*dydo_QED1_QCD2
      coupl(nGC_1343) = coupl(nGC_722)*dys_QED3 + coupl(nGC_723)*da_QED2
      coupl(nGC_1340) = coupl(nGC_665)*dyb_QED1_QCD2
      coupl(nGC_1341) = coupl(nGC_704)*dydo_QED3 + coupl(nGC_705)*da_QED2
      coupl(nGC_1346) = coupl(nGC_685)*dyb_QED1_QCD2
      coupl(nGC_1347) = coupl(nGC_706)*dydo_QED3 + coupl(nGC_707)*da_QED2
      coupl(nGC_1344) = coupl(nGC_722)*dys_QED1_QCD2
      coupl(nGC_1345) = coupl(nGC_685)*dyb_QED3 + coupl(nGC_686)*da_QED2
      coupl(nGC_1348) = coupl(nGC_706)*dydo_QED1_QCD2
      coupl(nGC_1349) = coupl(nGC_726)*dys_QED3 + coupl(nGC_727)*da_QED2
      coupl(nGC_1187) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*   &
                        coupl(nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_1188) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*   &
                        coupl(nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_920) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_1238) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_443)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_441&
                        )*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_443)*sq2&
                        **2d0)/(192d0*pi**2d0)
      coupl(nGC_1236) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_441   &
                        ) + 3d0*cima*coupl(nGC_441)**2d0 + 9d0*coupl(nGC_10)** &
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_441)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_1234) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_443) + 3d0*Nc*cima*coupl(      &
                        nGC_441)*coupl(nGC_443) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_441)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_443)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_1232) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_441)**&
                        2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_441)*sq2**2d0  &
                         + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**  &
                        2d0)
      coupl(nGC_1230) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_1613) = coupl(nGC_1286) + coupl(nGC_28)*dZHh_QED2 + coupl(     &
                        nGC_28)*dZWMinus_QED2 + coupl(nGC_30)*dZHlHh_QED2
      coupl(nGC_1614) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZeMinusL_QED2/2d0 + coupl(nGC_33)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_1615) = -coupl(nGC_1280) - coupl(nGC_35)*dZHh_QED2/2d0 - coupl(&
                        nGC_35)*dZWMinus_QED2/2d0 - coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1616) = coupl(nGC_72)*dZZA_QED2/2d0
      coupl(nGC_1618) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZcL_QED2/2d0 + coupl(nGC_33)*dZsL_QED2/ &
                        2d0
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1619) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1300) = coupl(nGC_639)*dcw_QED2 + coupl(nGC_640)*dsw_QED2 +    &
                        coupl(nGC_641)*dZee_QED2
      coupl(nGC_TS_GC_88_Hh) = -coupl(nGC_88)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_75_Hh) = -coupl(nGC_75)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
