!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1464) = -cima*dMHH2_QED2
      coupl(nGC_1759) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1758) = coupl(nGC_1261) + 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_23)*dZHl_QED2
      coupl(nGC_1751) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1752) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_1755) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_1754) = coupl(nGC_1476) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_1757) = coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_1756) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_1535) = coupl(nGC_121)*dZuL_QCD2/2d0 + coupl(nGC_121)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1369)
      coupl(nGC_1534) = coupl(nGC_121)*dZuL_QED2/2d0 + coupl(nGC_121)*dZuR_QED2&
                        /2d0 + coupl(nGC_1368)
      coupl(nGC_1536) = coupl(nGC_1301) + coupl(nGC_58)*dZAZ_QED2 + coupl(     &
                        nGC_63)*dZZ_QED2
      coupl(nGC_1533) = coupl(nGC_122)*dZuL_QCD2/2d0 + coupl(nGC_122)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1371)
      coupl(nGC_1532) = coupl(nGC_122)*dZuL_QED2/2d0 + coupl(nGC_122)*dZuR_QED2&
                        /2d0 + coupl(nGC_1370)
      coupl(nGC_1538) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_1108) = (coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51) + coupl(  &
                        nGC_113)**2d0*coupl(nGC_51) + coupl(nGC_114)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_80)**2d0 + &
                        4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1109) = (coupl(nGC_110)**2d0*coupl(nGC_53) + coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_54) + coupl(nGC_113)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_114)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1104) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_52) + coupl(  &
                        nGC_103)**2d0*coupl(nGC_52) + coupl(nGC_104)**2d0*coupl&
                        (nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1105) = (coupl(nGC_115)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1106) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_106)* &
                        coupl(nGC_107)*coupl(nGC_50) + coupl(nGC_108)**2d0*    &
                        coupl(nGC_50) + coupl(nGC_109)**2d0*coupl(nGC_50) + 4d0&
                        *coupl(nGC_33)**2d0*coupl(nGC_433) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_54) + coupl(nGC_51)*coupl(nGC_85)**2d0&
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1107) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + coupl(nGC_105)**&
                        2d0*coupl(nGC_54) + coupl(nGC_106)*coupl(nGC_107)*coupl&
                        (nGC_53) + coupl(nGC_108)**2d0*coupl(nGC_53) + coupl(  &
                        nGC_109)**2d0*coupl(nGC_53) + 4d0*coupl(nGC_50)**3d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_1100) = (-4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(    &
                        nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_96)*coupl(     &
                        nGC_97) + coupl(nGC_52)*coupl(nGC_98)**2d0 + coupl(    &
                        nGC_52)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_55)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1102) = (coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1103) = (coupl(nGC_100)**2d0*coupl(nGC_56) + coupl(nGC_101)*   &
                        coupl(nGC_102)*coupl(nGC_55) + coupl(nGC_103)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_104)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1581) = coupl(nGC_1356) + coupl(nGC_96)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_96)*dZeMinusR_QED2/2d0
      coupl(nGC_1582) = coupl(nGC_1357) + coupl(nGC_97)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_97)*dZeMinusR_QED2/2d0
      coupl(nGC_1583) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZdL_QED2/2d0 + coupl(nGC_33)*dZuL_QED2/ &
                        2d0
      coupl(nGC_1561) = coupl(nGC_100)*dZmuMinusR_QED2/2d0 + coupl(nGC_100)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_1354)
      coupl(nGC_1401) = coupl(nGC_647)*dcw_QED2 + coupl(nGC_648)*dsw_QED2 +    &
                        coupl(nGC_649)*dZee_QED2 + coupl(nGC_650)*dMZ2_QED2 +  &
                        coupl(nGC_651)*da_QED2
      coupl(nGC_1400) = coupl(nGC_689)*dcw_QED2 + coupl(nGC_690)*dsw_QED2 +    &
                        coupl(nGC_691)*dZee_QED2 + coupl(nGC_692)*dMZ2_QED2 +  &
                        coupl(nGC_693)*da_QED2
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1038) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_451)*coupl(nGC_52&
                        )*coupl(nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                        (nGC_98) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_97) - &
                        coupl(nGC_97)**2d0*coupl(nGC_98) - coupl(nGC_98)**3d0  &
                         - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1039) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC* &
                        coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108  &
                        ) - cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_1030) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1031) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl( &
                        nGC_449)*coupl(nGC_85) - coupl(nGC_451)*coupl(nGC_54)* &
                        coupl(nGC_86) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1032) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl( &
                        nGC_35)*coupl(nGC_85) - coupl(nGC_451)*coupl(nGC_51)*  &
                        coupl(nGC_87) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1033) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1034) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_447)*coupl(nGC_90) - coupl(nGC_451)*coupl(nGC_53)* &
                        coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1035) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_34)*coupl(nGC_90) - coupl(nGC_451)*coupl(nGC_50)*  &
                        coupl(nGC_91) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1036) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1037) = (coupl(nGC_33)*coupl(nGC_449)*coupl(nGC_95) + 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_451)*coupl(     &
                        nGC_55)*coupl(nGC_96) + 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) + coupl(nGC_52)*coupl(nGC_57)*coupl(   &
                        nGC_96) - coupl(nGC_96)**2d0*coupl(nGC_98) - coupl(    &
                        nGC_98)**3d0 - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1129) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_105)**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl( &
                        nGC_108)**2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1099) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52&
                        )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +   &
                        coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(&
                        nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_939) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52  &
                       )**2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)**  &
                       2d0 + coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_938) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) +     &
                       coupl(nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(   &
                       nGC_94)**2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0*pi&
                       **2d0)
      coupl(nGC_935) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2)*  &
                       coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88 &
                       )**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_934) = (coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl( &
                       nGC_2)*coupl(nGC_54)**2d0 + coupl(nGC_2)*coupl(nGC_86)* &
                       coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88)**2d0 + coupl(&
                       nGC_2)*coupl(nGC_89)**2d0 + 4d0*coupl(nGC_3)*coupl(     &
                       nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_936) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_933) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_932) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) +     &
                       coupl(nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(   &
                       nGC_84)**2d0 + coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi&
                       **2d0)
      coupl(nGC_1249) = coupl(nGC_736)*dZgs_QCD2
      coupl(nGC_1248) = coupl(nGC_737)*dZgs_QCD2
      coupl(nGC_1241) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_441)**&
                        2d0 + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_441)*sq2**2d0 + &
                        36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_1240) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_441) + 12d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_441)*sq2**2d0 + 18d0*cima*coupl(&
                        nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_1247) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_1246) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1245) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_441) + 9d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_441)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_1244) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_441) + 3d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_441)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1718) = coupl(nGC_54)*dZtL_QCD2
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1715) = coupl(nGC_1300) + coupl(nGC_64)*dZZ_QED2
      coupl(nGC_1711) = coupl(nGC_1481) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_72_Hh) + coupl(nGC_TS_GC_73_Hl)
      coupl(nGC_1710) = coupl(nGC_109)*dZsL_QCD2/2d0 + coupl(nGC_109)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1350)
      coupl(nGC_1222) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(&
                        nGC_109) + coupl(nGC_113)*coupl(nGC_114) + coupl(      &
                        nGC_123)*coupl(nGC_124) + coupl(nGC_83)*coupl(nGC_84   &
                        ) + coupl(nGC_88)*coupl(nGC_89) + coupl(nGC_93)*coupl( &
                        nGC_94))/(16d0*pi**2d0*Nc)
      coupl(nGC_986) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_98) + coupl(     &
                       nGC_33)*coupl(nGC_429)*coupl(nGC_96) + coupl(nGC_33)*   &
                       coupl(nGC_46)*coupl(nGC_99) + coupl(nGC_4)**2d0*coupl(  &
                       nGC_95) + coupl(nGC_417)*coupl(nGC_56)*coupl(nGC_95) +  &
                       coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_95) + 8d0*coupl(  &
                       nGC_52)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
      coupl(nGC_987) = (coupl(nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl&
                       (nGC_417)*coupl(nGC_56) + coupl(nGC_100)*coupl(nGC_52)* &
                       coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(nGC_52)*coupl( &
                       nGC_56) + coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_429) + &
                       coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_35) + coupl(     &
                       nGC_104)*coupl(nGC_33)*coupl(nGC_46))/(32d0*pi**2d0)
      coupl(nGC_989) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc* &
                       cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc* &
                       cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl(&
                       nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86)* &
                       coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87)**&
                       2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl(&
                       nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl(&
                       nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_93) + &
                       4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108) + 16d0*Nc*&
                       cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_108) + 4d0* &
                       Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_108) + 4d0*Nc*cMT* &
                       coupl(nGC_111)**2d0*coupl(nGC_113) + 16d0*Nc*cMT*coupl( &
                       nGC_111)*coupl(nGC_112)*coupl(nGC_113) + 4d0*Nc*cMT*    &
                       coupl(nGC_112)**2d0*coupl(nGC_113) + 4d0*Nc*cMU*coupl(  &
                       nGC_121)**2d0*coupl(nGC_123) + 16d0*Nc*cMU*coupl(nGC_121&
                       )*coupl(nGC_122)*coupl(nGC_123) + 4d0*Nc*cMU*coupl(     &
                       nGC_122)**2d0*coupl(nGC_123) + 4d0*cME*coupl(nGC_96)**  &
                       2d0*coupl(nGC_98) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97 &
                       )*coupl(nGC_98) + 4d0*cME*coupl(nGC_97)**2d0*coupl(     &
                       nGC_98) + 4d0*cMM*coupl(nGC_101)**2d0*coupl(nGC_103) +  &
                       16d0*cMM*coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_103) + &
                       4d0*cMM*coupl(nGC_102)**2d0*coupl(nGC_103) + 4d0*cMTA*  &
                       coupl(nGC_116)**2d0*coupl(nGC_118) + 16d0*cMTA*coupl(   &
                       nGC_116)*coupl(nGC_117)*coupl(nGC_118) + 4d0*cMTA*coupl(&
                       nGC_117)**2d0*coupl(nGC_118) + 4d0*cima*coupl(nGC_26)*  &
                       coupl(nGC_69) + 2d0*cima*coupl(nGC_64)*coupl(nGC_72) -  &
                       2d0*coupl(nGC_32)*coupl(nGC_429)*coupl(nGC_69) + 2d0*   &
                       coupl(nGC_32)*coupl(nGC_429)*coupl(nGC_75) + coupl(     &
                       nGC_445)*coupl(nGC_451)*coupl(nGC_74) + coupl(nGC_445)* &
                       coupl(nGC_57)*coupl(nGC_76) - coupl(nGC_445)*coupl(     &
                       nGC_61)*coupl(nGC_72) + coupl(nGC_445)*coupl(nGC_61)*   &
                       coupl(nGC_79) + coupl(nGC_451)**2d0*coupl(nGC_75) -     &
                       coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_72) + coupl(     &
                       nGC_451)*coupl(nGC_57)*coupl(nGC_78) + coupl(nGC_451)*  &
                       coupl(nGC_61)*coupl(nGC_76) + coupl(nGC_57)**2d0*coupl( &
                       nGC_75) + coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_74))/(  &
                       32d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1818) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_1249)
      coupl(nGC_1819) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_1249)
      coupl(nGC_1817) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_1249)
      coupl(nGC_1790) = coupl(nGC_1340) + coupl(nGC_81)*dZbL_QCD2/2d0 + coupl( &
                        nGC_81)*dZbR_QCD2/2d0
      coupl(nGC_1140) = coupl(nGC_11)*sq2*(coupl(nGC_121)*coupl(nGC_122) +     &
                        coupl(nGC_123)**2d0 + coupl(nGC_124)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_90)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1141) = coupl(nGC_11)*sq2*(coupl(nGC_120)**2d0 + coupl(nGC_121 &
                        )*coupl(nGC_122) + coupl(nGC_123)**2d0 + coupl(nGC_124 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_1079) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_46) - coupl(   &
                        nGC_117)**2d0*coupl(nGC_119) + coupl(nGC_117)*coupl(   &
                        nGC_445)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)* &
                        coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -   &
                        coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1601) = coupl(nGC_1400) + coupl(nGC_60)*dZHh_QED2/2d0 + coupl( &
                        nGC_62)*dZHlHh_QED2/2d0
      coupl(nGC_1669) = coupl(nGC_1255) + coupl(nGC_29)*dZWMinus_QED2 + coupl( &
                        nGC_29)*dZZ_QED2 - coupl(nGC_41)*dZAZ_QED2/2d0
      coupl(nGC_1787) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hh) + coupl(      &
                        nGC_TS_GC_79_Hl)
      coupl(nGC_1660) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1355)
      coupl(nGC_1665) = -coupl(nGC_10)*dZg_QCD2/2d0 - coupl(nGC_1248)
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1311) = coupl(nGC_855)*dcw_QED2 + coupl(nGC_856)*dsw_QED2 +    &
                        coupl(nGC_857)*dZee_QED2
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1568) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1566) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1314) = coupl(nGC_858)*dcw_QED2 + coupl(nGC_859)*dsw_QED2 +    &
                        coupl(nGC_860)*dZee_QED2
      coupl(nGC_1377) = coupl(nGC_725)*dyt_QED1_QCD2
      coupl(nGC_1019) = (-coupl(nGC_120)*coupl(nGC_32)*coupl(nGC_33) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_121)**&
                        2d0*coupl(nGC_122) + 8d0*coupl(nGC_121)*coupl(nGC_2)** &
                        2d0 + 8d0*coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_54) - &
                        coupl(nGC_122)*coupl(nGC_123)**2d0 - coupl(nGC_122)*   &
                        coupl(nGC_124)**2d0 - coupl(nGC_123)*coupl(nGC_451)*   &
                        coupl(nGC_51) - coupl(nGC_123)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_124)*coupl(nGC_445)*coupl(nGC_51   &
                        ) - coupl(nGC_124)*coupl(nGC_54)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1005) = (coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_96) + coupl(nGC_445)*coupl(nGC_52&
                        )*coupl(nGC_99) + coupl(nGC_451)*coupl(nGC_52)*coupl(  &
                        nGC_98) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_96 &
                        ) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_98) + coupl( &
                        nGC_55)*coupl(nGC_61)*coupl(nGC_99) - coupl(nGC_96)**  &
                        2d0*coupl(nGC_97) - coupl(nGC_97)*coupl(nGC_98)**2d0 - &
                        coupl(nGC_97)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_970) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_972) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_975) = (coupl(nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*coupl&
                       (nGC_417)*coupl(nGC_56) + coupl(nGC_115)*coupl(nGC_52)* &
                       coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(nGC_52)*coupl( &
                       nGC_56) + coupl(nGC_117)*coupl(nGC_32)*coupl(nGC_33) +  &
                       coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_449) + coupl(    &
                       nGC_119)*coupl(nGC_33)*coupl(nGC_425))/(32d0*pi**2d0)
      coupl(nGC_979) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80) - &
                       2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80) -  &
                       2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80) +  &
                       2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85) -  &
                       2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85) -  &
                       2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85) +  &
                       2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90) -  &
                       2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90) -  &
                       2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90) +  &
                       2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_50) - &
                       2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_53) - &
                       2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_54) + &
                       2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_51) - &
                       2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_53) - &
                       2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_54) + &
                       2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_51) - &
                       2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_53) - &
                       2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_54) + &
                       2d0*cME*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0*&
                       cME*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME*&
                       coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*    &
                       coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*   &
                       coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*   &
                       coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*  &
                       coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*  &
                       coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*  &
                       coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*  &
                       coupl(nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_427)*  &
                       coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_68  &
                       ) + 6d0*coupl(nGC_3)*coupl(nGC_433)*coupl(nGC_71) -     &
                       coupl(nGC_35)*coupl(nGC_433)*coupl(nGC_69) + 6d0*coupl( &
                       nGC_37)*coupl(nGC_433)*coupl(nGC_68) - coupl(nGC_37)*   &
                       coupl(nGC_55)*coupl(nGC_68) - coupl(nGC_433)*coupl(     &
                       nGC_447)*coupl(nGC_72) - coupl(nGC_433)*coupl(nGC_455)* &
                       coupl(nGC_73) - coupl(nGC_433)*coupl(nGC_46)*coupl(     &
                       nGC_70))/(32d0*pi**2d0)
      coupl(nGC_1289) = coupl(nGC_618)*dsw_QED2 + coupl(nGC_619)*dZee_QED2 +   &
                        coupl(nGC_620)*dvev_QED1 + coupl(nGC_621)*da_QED2
      coupl(nGC_872) = cima*(4d0*Nc*coupl(nGC_106)*coupl(nGC_107) + 4d0*Nc*    &
                       coupl(nGC_111)*coupl(nGC_112) + 4d0*Nc*coupl(nGC_121)*  &
                       coupl(nGC_122) + 4d0*Nc*coupl(nGC_81)*coupl(nGC_82) +   &
                       4d0*Nc*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(nGC_91&
                       )*coupl(nGC_92) + 4d0*coupl(nGC_101)*coupl(nGC_102) +   &
                       4d0*coupl(nGC_116)*coupl(nGC_117) + 2d0*coupl(nGC_32)*  &
                       coupl(nGC_429) + coupl(nGC_445)*coupl(nGC_61) + coupl(  &
                       nGC_451)*coupl(nGC_57) + 4d0*coupl(nGC_96)*coupl(nGC_97 &
                       ))/(96d0*pi**2d0)
      coupl(nGC_1284) = coupl(nGC_839)*dsw_QED2 + coupl(nGC_840)*dZee_QED2 +   &
                        coupl(nGC_841)*da_QED2
      coupl(nGC_1282) = coupl(nGC_810)*dsw_QED2 + coupl(nGC_811)*dZee_QED2
      coupl(nGC_1041) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_449) - coupl(  &
                        nGC_101)**2d0*coupl(nGC_103) + coupl(nGC_101)*coupl(   &
                        nGC_451)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)* &
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1040) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*  &
                        coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108  &
                        ) + cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1043) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_447) - coupl(nGC_105)*coupl(   &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_107)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_107)*coupl(nGC_451)*coupl(nGC_53  &
                        ) - coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_1042) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(   &
                        nGC_451)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)* &
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1045) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1044) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_106)*coupl(nGC_451)*coupl(nGC_50  &
                        ) - coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_1047) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_112)**&
                        2d0*coupl(nGC_113) - coupl(nGC_112)*coupl(nGC_451)*    &
                        coupl(nGC_51) - coupl(nGC_112)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(  &
                        nGC_114)**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1046) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_449) - coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_111)**&
                        2d0*coupl(nGC_113) - coupl(nGC_111)*coupl(nGC_451)*    &
                        coupl(nGC_54) - coupl(nGC_111)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(  &
                        nGC_114)**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1049) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_449) - coupl(  &
                        nGC_116)**2d0*coupl(nGC_118) + coupl(nGC_116)*coupl(   &
                        nGC_451)*coupl(nGC_55) + coupl(nGC_116)*coupl(nGC_52)* &
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1048) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1364) = coupl(nGC_263)*dytau_QED3 + coupl(nGC_265)*da_QED2
      coupl(nGC_1007) = (coupl(nGC_100)*coupl(nGC_32)*coupl(nGC_33) - coupl(   &
                        nGC_101)**2d0*coupl(nGC_102) + 8d0*coupl(nGC_101)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_101)*coupl(nGC_52)*coupl( &
                        nGC_55) - coupl(nGC_102)*coupl(nGC_103)**2d0 - coupl(  &
                        nGC_102)*coupl(nGC_104)**2d0 + coupl(nGC_103)*coupl(   &
                        nGC_451)*coupl(nGC_52) + coupl(nGC_103)*coupl(nGC_55)* &
                        coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_445)*coupl(   &
                        nGC_52) + coupl(nGC_104)*coupl(nGC_55)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1630) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1631) = coupl(nGC_1365) + coupl(nGC_98)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_99)*dZHl_QED2/2d0 + coupl(nGC_99)*dZeMinusL_QED2/ &
                        2d0 + coupl(nGC_99)*dZeMinusR_QED2/2d0
      coupl(nGC_1217) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_113)**2d0 - coupl(nGC_123)**2d0 - coupl(  &
                        nGC_83)**2d0 - coupl(nGC_88)**2d0 - coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_1218) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0  &
                         + coupl(nGC_113)**2d0 + coupl(nGC_123)**2d0 + coupl(  &
                        nGC_83)**2d0 + coupl(nGC_88)**2d0 + coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0*Nc)
      coupl(nGC_1361) = coupl(nGC_732)*dytau_QED3
      coupl(nGC_1746) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1747) = -coupl(nGC_1292) - coupl(nGC_57)*dZHh_QED2/2d0 - coupl(&
                        nGC_57)*dZZ_QED2/2d0 - coupl(nGC_61)*dZHlHh_QED2/2d0
      coupl(nGC_1744) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1745) = coupl(nGC_1466) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_98_Hh) + coupl(nGC_TS_GC_99_Hl)
      coupl(nGC_1743) = coupl(nGC_TS_GC_74_Hl) + coupl(nGC_TS_GC_75_Hh)
      coupl(nGC_1749) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_1367) = coupl(nGC_269)*dytau_QED3 + coupl(nGC_271)*da_QED2
      coupl(nGC_1381) = coupl(nGC_609)*dyup_QED1_QCD2
      coupl(nGC_1820) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_1249)
      coupl(nGC_1827) = coupl(nGC_1483) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_34_Hh) - coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_1826) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_1248)
      coupl(nGC_1825) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_1829) = -coupl(nGC_1483) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_34_Hh) + coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_1522) = coupl(nGC_1372) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl( &
                        nGC_87)*dZcR_QED2/2d0
      coupl(nGC_1523) = coupl(nGC_1373) + coupl(nGC_87)*dZcL_QCD2/2d0 + coupl( &
                        nGC_87)*dZcR_QCD2/2d0
      coupl(nGC_1521) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_1527) = coupl(nGC_1276) + coupl(nGC_40)*dZA_QED2/2d0 + coupl(  &
                        nGC_40)*dZHh_QED2/2d0 + coupl(nGC_40)*dZWMinus_QED2/2d0&
                         + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(nGC_9)*       &
                        dZZA_QED2/2d0
      coupl(nGC_1524) = coupl(nGC_1374) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl( &
                        nGC_86)*dZcR_QED2/2d0
      coupl(nGC_1525) = coupl(nGC_1375) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl( &
                        nGC_86)*dZcR_QCD2/2d0
      coupl(nGC_1529) = -coupl(nGC_1397) - coupl(nGC_36)*dZWMinus_QED2/2d0
      coupl(nGC_1487) = coupl(nGC_123)*dZHhHl_QED2/2d0 + coupl(nGC_124)*       &
                        dZHl_QED2/2d0 + coupl(nGC_124)*dZuL_QED2/2d0 + coupl(  &
                        nGC_124)*dZuR_QED2/2d0 + coupl(nGC_1386)
      coupl(nGC_1139) = coupl(nGC_11)*sq2*(-coupl(nGC_120)**2d0 - coupl(nGC_121&
                        )*coupl(nGC_122) - coupl(nGC_123)**2d0 - coupl(nGC_124 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_1138) = coupl(nGC_11)*sq2*(-coupl(nGC_121)*coupl(nGC_122) -    &
                        coupl(nGC_123)**2d0 - coupl(nGC_124)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_90)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1131) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_106)*coupl(nGC_107) + coupl(nGC_108)**2d0 + coupl( &
                        nGC_109)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1130) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_1133) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_1132) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_105)**2d0 + coupl(nGC_106)*coupl(nGC_107) + coupl( &
                        nGC_108)**2d0 + coupl(nGC_109)**2d0 + 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_1135) = coupl(nGC_11)*sq2*(-coupl(nGC_110)**2d0 - coupl(nGC_111&
                        )*coupl(nGC_112) - coupl(nGC_113)**2d0 - coupl(nGC_114 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_1134) = coupl(nGC_11)*sq2*(-coupl(nGC_111)*coupl(nGC_112) -    &
                        coupl(nGC_113)**2d0 - coupl(nGC_114)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_80)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1137) = coupl(nGC_11)*sq2*(coupl(nGC_110)**2d0 + coupl(nGC_111 &
                        )*coupl(nGC_112) + coupl(nGC_113)**2d0 + coupl(nGC_114 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_1136) = coupl(nGC_11)*sq2*(coupl(nGC_111)*coupl(nGC_112) +     &
                        coupl(nGC_113)**2d0 + coupl(nGC_114)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_80)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1557) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1004) = coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1555) = coupl(nGC_117)*dZtauMinusL_QED2/2d0 + coupl(nGC_117)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1361)
      coupl(nGC_1554) = coupl(nGC_116)*dZtauMinusL_QED2/2d0 + coupl(nGC_116)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1360)
      coupl(nGC_1553) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZnu_tauL_QED2/2d0 + coupl(nGC_33)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1552) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1550) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1009) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_107) - coupl(nGC_105)*&
                        coupl(nGC_32)*coupl(nGC_33) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_87) - coupl(nGC_106)*coupl(nGC_107)**&
                        2d0 - coupl(nGC_106)*coupl(nGC_108)**2d0 - coupl(      &
                        nGC_106)*coupl(nGC_109)**2d0 + 8d0*coupl(nGC_107)*coupl&
                        (nGC_50)*coupl(nGC_53) - coupl(nGC_108)*coupl(nGC_451)*&
                        coupl(nGC_50) - coupl(nGC_108)*coupl(nGC_53)*coupl(    &
                        nGC_57) - coupl(nGC_109)*coupl(nGC_445)*coupl(nGC_50   &
                        ) - coupl(nGC_109)*coupl(nGC_53)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1008) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_429) - coupl(  &
                        nGC_101)*coupl(nGC_102)**2d0 - coupl(nGC_101)*coupl(   &
                        nGC_103)**2d0 - coupl(nGC_101)*coupl(nGC_104)**2d0 +   &
                        8d0*coupl(nGC_102)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_102)*coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_103)* &
                        coupl(nGC_451)*coupl(nGC_55) + coupl(nGC_103)*coupl(   &
                        nGC_52)*coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_445)* &
                        coupl(nGC_55) + coupl(nGC_104)*coupl(nGC_52)*coupl(    &
                        nGC_61))/(32d0*pi**2d0)
      coupl(nGC_1559) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_908) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_909) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11&
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_900) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_901) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_902) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_903) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_52)**2d0)/(16d0*pi**&
                       2d0)
      coupl(nGC_904) = cima*(coupl(nGC_33)**2d0 + coupl(nGC_4)**2d0 + coupl(   &
                       nGC_55)**2d0)/(16d0*pi**2d0)
      coupl(nGC_905) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_906) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11 &
                       )**2d0)/(64d0*pi**2d0)
      coupl(nGC_907) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1258) = coupl(nGC_740)*dl1_QED4
      coupl(nGC_1259) = coupl(nGC_755)*da_QED2 + coupl(nGC_756)*dl1_QED4 +     &
                        coupl(nGC_757)*dl3_QED4
      coupl(nGC_1313) = coupl(nGC_845)*dcw_QED2 + coupl(nGC_846)*dsw_QED2 +    &
                        coupl(nGC_847)*dZee_QED2
      coupl(nGC_1312) = coupl(nGC_867)*dcw_QED2 + coupl(nGC_868)*dsw_QED2 +    &
                        coupl(nGC_869)*dZee_QED2
      coupl(nGC_1315) = coupl(nGC_861)*dcw_QED2 + coupl(nGC_862)*dsw_QED2 +    &
                        coupl(nGC_863)*dZee_QED2
      coupl(nGC_TS_GC_108_Hh) = -coupl(nGC_108)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1316) = coupl(nGC_852)*dcw_QED2 + coupl(nGC_853)*dsw_QED2 +    &
                        coupl(nGC_854)*dZee_QED2
      coupl(nGC_1250) = coupl(nGC_731)*dZee_QED2
      coupl(nGC_1251) = coupl(nGC_735)*dZee_QED2
      coupl(nGC_1252) = coupl(nGC_814)*dcw_QED2 + coupl(nGC_815)*dsw_QED2 +    &
                        coupl(nGC_816)*dZee_QED2
      coupl(nGC_1254) = coupl(nGC_817)*dcw_QED2 + coupl(nGC_818)*dsw_QED2 +    &
                        coupl(nGC_819)*dZee_QED2
      coupl(nGC_1256) = coupl(nGC_741)*dl1_QED4
      coupl(nGC_1506) = -coupl(nGC_1250) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_873) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_81)*coupl(nGC_82) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_86)*coupl(nGC_87) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_91)*coupl(nGC_92) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_106)*coupl(nGC_107) - 8d0*Nc*cMT**2d0&
                       *cima*coupl(nGC_111)*coupl(nGC_112) - 8d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_121)*coupl(nGC_122) - 8d0*cME**2d0*cima* &
                       coupl(nGC_96)*coupl(nGC_97) - cMHH**2d0*cima*coupl(     &
                       nGC_451)*coupl(nGC_57) - cMHL**2d0*cima*coupl(nGC_445)* &
                       coupl(nGC_61) - 8d0*cMM**2d0*cima*coupl(nGC_101)*coupl( &
                       nGC_102) - 8d0*cMTA**2d0*cima*coupl(nGC_116)*coupl(     &
                       nGC_117) - 4d0*cMW**2d0*cima*coupl(nGC_32)*coupl(nGC_429&
                       ) - 4d0*cMW**2d0*coupl(nGC_26) - cMZ**2d0*cima*coupl(   &
                       nGC_445)*coupl(nGC_61) - cMZ**2d0*cima*coupl(nGC_451)*  &
                       coupl(nGC_57) - 2d0*cMZ**2d0*coupl(nGC_64))/(32d0*pi**  &
                       2d0)
      coupl(nGC_1709) = coupl(nGC_108)*dZHhHl_QED2/2d0 + coupl(nGC_109)*       &
                        dZHl_QED2/2d0 + coupl(nGC_109)*dZsL_QED2/2d0 + coupl(  &
                        nGC_109)*dZsR_QED2/2d0 + coupl(nGC_1349)
      coupl(nGC_1702) = coupl(nGC_1342) + coupl(nGC_93)*dZdL_QCD2/2d0 + coupl( &
                        nGC_93)*dZdR_QCD2/2d0
      coupl(nGC_1703) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZuL_QED2
      coupl(nGC_1700) = coupl(nGC_1346) + coupl(nGC_83)*dZbL_QCD2/2d0 + coupl( &
                        nGC_83)*dZbR_QCD2/2d0
      coupl(nGC_1701) = coupl(nGC_1341) + coupl(nGC_93)*dZHh_QED2/2d0 + coupl( &
                        nGC_93)*dZdL_QED2/2d0 + coupl(nGC_93)*dZdR_QED2/2d0 +  &
                        coupl(nGC_94)*dZHlHh_QED2/2d0
      coupl(nGC_1707) = coupl(nGC_1395) + coupl(nGC_44)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_49)*dZHl_QED2/2d0
      coupl(nGC_1705) = coupl(nGC_1311) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2
      coupl(nGC_1500) = coupl(nGC_1259) + coupl(nGC_18)*dZHlHh_QED2 + coupl(   &
                        nGC_20)*dZHh_QED2
      coupl(nGC_1122) = -coupl(nGC_11)*sq2*(-coupl(nGC_105)**2d0 - 4d0*coupl(  &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_88)** &
                        2d0 - coupl(nGC_89)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1502) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1314) + coupl(  &
                        nGC_53)*dZZ_QED2/2d0 + coupl(nGC_53)*dZbL_QED2
      coupl(nGC_1123) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_999) = (-coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85) + 8d0*    &
                       coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_33)*coupl(  &
                       nGC_429)*coupl(nGC_85) - coupl(nGC_445)*coupl(nGC_54)*  &
                       coupl(nGC_89) - coupl(nGC_451)*coupl(nGC_54)*coupl(     &
                       nGC_88) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_87  &
                       ) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_88) - coupl(  &
                       nGC_51)*coupl(nGC_61)*coupl(nGC_89) - coupl(nGC_86)*    &
                       coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88)**2d0 - &
                       coupl(nGC_86)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_997) = (-coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_85) + 8d0*    &
                       coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_32)*coupl(  &
                       nGC_33)*coupl(nGC_85) - coupl(nGC_445)*coupl(nGC_51)*   &
                       coupl(nGC_89) - coupl(nGC_451)*coupl(nGC_51)*coupl(     &
                       nGC_88) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_86  &
                       ) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_88) - coupl(  &
                       nGC_54)*coupl(nGC_61)*coupl(nGC_89) - coupl(nGC_86)**2d0&
                       *coupl(nGC_87) - coupl(nGC_87)*coupl(nGC_88)**2d0 -     &
                       coupl(nGC_87)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1504) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1313) + coupl(  &
                        nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZbR_QED2
      coupl(nGC_995) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_81) - coupl(nGC_110)*  &
                       coupl(nGC_111)*coupl(nGC_80) - coupl(nGC_33)*coupl(     &
                       nGC_429)*coupl(nGC_80) - coupl(nGC_445)*coupl(nGC_53)*  &
                       coupl(nGC_84) - coupl(nGC_451)*coupl(nGC_53)*coupl(     &
                       nGC_83) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_81  &
                       ) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_83) - coupl(  &
                       nGC_50)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)**2d0&
                       *coupl(nGC_82) - coupl(nGC_82)*coupl(nGC_83)**2d0 -     &
                       coupl(nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_993) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_82) - coupl(nGC_110)*  &
                       coupl(nGC_112)*coupl(nGC_80) - coupl(nGC_32)*coupl(     &
                       nGC_33)*coupl(nGC_80) - coupl(nGC_445)*coupl(nGC_50)*   &
                       coupl(nGC_84) - coupl(nGC_451)*coupl(nGC_50)*coupl(     &
                       nGC_83) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_82  &
                       ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_83) - coupl(  &
                       nGC_53)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)*    &
                       coupl(nGC_82)**2d0 - coupl(nGC_81)*coupl(nGC_83)**2d0 - &
                       coupl(nGC_81)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_992) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_50) +  &
                       4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_53) + 4d0&
                       *Nc*coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_50) - 4d0*Nc&
                       *coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_53) + 4d0*Nc*  &
                       coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_51) - 4d0*Nc*   &
                       coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_51) + 4d0*Nc*   &
                       coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_54) + 4d0*Nc*   &
                       coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_51) - 4d0*Nc*   &
                       coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_51) + 4d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_84) + 4d0*Nc*coupl&
                       (nGC_50)*coupl(nGC_82)*coupl(nGC_84) - 4d0*Nc*coupl(    &
                       nGC_50)*coupl(nGC_91)*coupl(nGC_94) + 4d0*Nc*coupl(     &
                       nGC_50)*coupl(nGC_92)*coupl(nGC_94) + 4d0*Nc*coupl(     &
                       nGC_51)*coupl(nGC_86)*coupl(nGC_89) - 4d0*Nc*coupl(     &
                       nGC_51)*coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_81)*coupl(nGC_84) - 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_91)*coupl(nGC_94) - 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_92)*coupl(nGC_94) - 4d0*Nc*coupl(     &
                       nGC_54)*coupl(nGC_86)*coupl(nGC_89) + 4d0*Nc*coupl(     &
                       nGC_54)*coupl(nGC_87)*coupl(nGC_89) - 4d0*coupl(nGC_101 &
                       )*coupl(nGC_104)*coupl(nGC_52) + 4d0*coupl(nGC_101)*    &
                       coupl(nGC_104)*coupl(nGC_55) + 4d0*coupl(nGC_102)*coupl(&
                       nGC_104)*coupl(nGC_52) - 4d0*coupl(nGC_102)*coupl(      &
                       nGC_104)*coupl(nGC_55) - 4d0*coupl(nGC_116)*coupl(      &
                       nGC_119)*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(      &
                       nGC_119)*coupl(nGC_55) + 4d0*coupl(nGC_117)*coupl(      &
                       nGC_119)*coupl(nGC_52) - 4d0*coupl(nGC_117)*coupl(      &
                       nGC_119)*coupl(nGC_55) - 6d0*coupl(nGC_32)*coupl(nGC_37 &
                       )*coupl(nGC_46) - 6d0*coupl(nGC_32)*coupl(nGC_433)*coupl&
                       (nGC_47) + coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_455  &
                       ) + coupl(nGC_425)*coupl(nGC_429)*coupl(nGC_55) + coupl(&
                       nGC_445)**3d0 + coupl(nGC_445)*coupl(nGC_451)**2d0 - 4d0&
                       *coupl(nGC_52)*coupl(nGC_96)*coupl(nGC_99) + 4d0*coupl( &
                       nGC_52)*coupl(nGC_97)*coupl(nGC_99) + 4d0*coupl(nGC_55)*&
                       coupl(nGC_96)*coupl(nGC_99) - 4d0*coupl(nGC_55)*coupl(  &
                       nGC_97)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_991) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_50) +  &
                       4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_53) + 4d0&
                       *Nc*coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_50) - 4d0*Nc&
                       *coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_53) + 4d0*Nc*  &
                       coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_51) - 4d0*Nc*   &
                       coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_51) + 4d0*Nc*   &
                       coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_54) + 4d0*Nc*   &
                       coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_51) - 4d0*Nc*   &
                       coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_51) + 4d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*coupl&
                       (nGC_50)*coupl(nGC_82)*coupl(nGC_83) - 4d0*Nc*coupl(    &
                       nGC_50)*coupl(nGC_91)*coupl(nGC_93) + 4d0*Nc*coupl(     &
                       nGC_50)*coupl(nGC_92)*coupl(nGC_93) + 4d0*Nc*coupl(     &
                       nGC_51)*coupl(nGC_86)*coupl(nGC_88) - 4d0*Nc*coupl(     &
                       nGC_51)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_81)*coupl(nGC_83) - 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_91)*coupl(nGC_93) - 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_92)*coupl(nGC_93) - 4d0*Nc*coupl(     &
                       nGC_54)*coupl(nGC_86)*coupl(nGC_88) + 4d0*Nc*coupl(     &
                       nGC_54)*coupl(nGC_87)*coupl(nGC_88) - 4d0*coupl(nGC_101 &
                       )*coupl(nGC_103)*coupl(nGC_52) + 4d0*coupl(nGC_101)*    &
                       coupl(nGC_103)*coupl(nGC_55) + 4d0*coupl(nGC_102)*coupl(&
                       nGC_103)*coupl(nGC_52) - 4d0*coupl(nGC_102)*coupl(      &
                       nGC_103)*coupl(nGC_55) - 4d0*coupl(nGC_116)*coupl(      &
                       nGC_118)*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(      &
                       nGC_118)*coupl(nGC_55) + 4d0*coupl(nGC_117)*coupl(      &
                       nGC_118)*coupl(nGC_52) - 4d0*coupl(nGC_117)*coupl(      &
                       nGC_118)*coupl(nGC_55) - 6d0*coupl(nGC_32)*coupl(nGC_34 &
                       )*coupl(nGC_433) - 6d0*coupl(nGC_32)*coupl(nGC_35)*coupl&
                       (nGC_37) + coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_447  &
                       ) + coupl(nGC_429)*coupl(nGC_449)*coupl(nGC_55) + coupl(&
                       nGC_445)**2d0*coupl(nGC_451) + coupl(nGC_451)**3d0 - 4d0&
                       *coupl(nGC_52)*coupl(nGC_96)*coupl(nGC_98) + 4d0*coupl( &
                       nGC_52)*coupl(nGC_97)*coupl(nGC_98) + 4d0*coupl(nGC_55)*&
                       coupl(nGC_96)*coupl(nGC_98) - 4d0*coupl(nGC_55)*coupl(  &
                       nGC_97)*coupl(nGC_98))/(96d0*pi**2d0)
      coupl(nGC_990) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_84) + 16d0*Nc* &
                       cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc* &
                       cMB*coupl(nGC_82)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl(&
                       nGC_86)**2d0*coupl(nGC_89) + 16d0*Nc*cMC*coupl(nGC_86)* &
                       coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_87)**&
                       2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl(&
                       nGC_94) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl(&
                       nGC_94) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_94) + &
                       4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_109) + 16d0*Nc*&
                       cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_109) + 4d0* &
                       Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_109) + 4d0*Nc*cMT* &
                       coupl(nGC_111)**2d0*coupl(nGC_114) + 16d0*Nc*cMT*coupl( &
                       nGC_111)*coupl(nGC_112)*coupl(nGC_114) + 4d0*Nc*cMT*    &
                       coupl(nGC_112)**2d0*coupl(nGC_114) + 4d0*Nc*cMU*coupl(  &
                       nGC_121)**2d0*coupl(nGC_124) + 16d0*Nc*cMU*coupl(nGC_121&
                       )*coupl(nGC_122)*coupl(nGC_124) + 4d0*Nc*cMU*coupl(     &
                       nGC_122)**2d0*coupl(nGC_124) + 4d0*cME*coupl(nGC_96)**  &
                       2d0*coupl(nGC_99) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97 &
                       )*coupl(nGC_99) + 4d0*cME*coupl(nGC_97)**2d0*coupl(     &
                       nGC_99) + 4d0*cMM*coupl(nGC_101)**2d0*coupl(nGC_104) +  &
                       16d0*cMM*coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_104) + &
                       4d0*cMM*coupl(nGC_102)**2d0*coupl(nGC_104) + 4d0*cMTA*  &
                       coupl(nGC_116)**2d0*coupl(nGC_119) + 16d0*cMTA*coupl(   &
                       nGC_116)*coupl(nGC_117)*coupl(nGC_119) + 4d0*cMTA*coupl(&
                       nGC_117)**2d0*coupl(nGC_119) + 4d0*cima*coupl(nGC_26)*  &
                       coupl(nGC_70) + 2d0*cima*coupl(nGC_64)*coupl(nGC_73) -  &
                       2d0*coupl(nGC_32)*coupl(nGC_429)*coupl(nGC_70) + 2d0*   &
                       coupl(nGC_32)*coupl(nGC_429)*coupl(nGC_74) + coupl(     &
                       nGC_445)**2d0*coupl(nGC_74) + coupl(nGC_445)*coupl(     &
                       nGC_451)*coupl(nGC_75) + coupl(nGC_445)*coupl(nGC_57)*  &
                       coupl(nGC_79) - coupl(nGC_445)*coupl(nGC_61)*coupl(     &
                       nGC_73) + coupl(nGC_445)*coupl(nGC_61)*coupl(nGC_77) -  &
                       coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_73) + coupl(     &
                       nGC_451)*coupl(nGC_57)*coupl(nGC_76) + coupl(nGC_451)*  &
                       coupl(nGC_61)*coupl(nGC_79) + coupl(nGC_57)*coupl(nGC_61&
                       )*coupl(nGC_75) + coupl(nGC_61)**2d0*coupl(nGC_74))/(   &
                       32d0*pi**2d0)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1676) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZcL_QED2
      coupl(nGC_1674) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2&
                        /2d0 + coupl(nGC_1319)
      coupl(nGC_1675) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1320)
      coupl(nGC_1672) = coupl(nGC_1317) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl( &
                        nGC_90)*dZuL_QED2/2d0
      coupl(nGC_1673) = coupl(nGC_1318) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl( &
                        nGC_90)*dZuL_QCD2/2d0
      coupl(nGC_1670) = -2d0*coupl(nGC_1255) - 2d0*coupl(nGC_29)*dZWMinus_QED2 &
                         - 2d0*coupl(nGC_29)*dZZ_QED2 + coupl(nGC_41)*dZAZ_QED2
      coupl(nGC_1174) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_108)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_88)**2d0 &
                         + 40d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(   &
                        nGC_85)*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_108)**  &
                        2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)** &
                        2d0*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**&
                        2d0*coupl(nGC_83)**2d0 + 40d0*Nc*cima*coupl(nGC_110)*  &
                        coupl(nGC_113)*coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc*  &
                        cima*coupl(nGC_113)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_123)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_120)**2d0*coupl(nGC_93)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_90)*coupl(&
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_90&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_83  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_90)**2d0*coupl(nGC_93  &
                        )**2d0 + 20d0*cima*coupl(nGC_100)**2d0*coupl(nGC_103)**&
                        2d0 + 20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_118)**2d0&
                         + 12d0*cima*coupl(nGC_26)*coupl(nGC_28) - 10d0*cima*  &
                        coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_429)*coupl(      &
                        nGC_449) - 5d0*cima*coupl(nGC_32)*coupl(nGC_417)*coupl(&
                        nGC_449)*coupl(nGC_451) - 10d0*cima*coupl(nGC_32)*coupl&
                        (nGC_429)*coupl(nGC_451)*coupl(nGC_57) - 5d0*cima*coupl&
                        (nGC_32)*coupl(nGC_447)*coupl(nGC_451)*coupl(nGC_55) - &
                        10d0*cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_447)*  &
                        coupl(nGC_449) - 5d0*cima*coupl(nGC_34)*coupl(nGC_429)*&
                        coupl(nGC_55)*coupl(nGC_57) - 10d0*cima*coupl(nGC_35)* &
                        coupl(nGC_417)**2d0*coupl(nGC_449) - 5d0*cima*coupl(   &
                        nGC_35)*coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_57) -  &
                        10d0*cima*coupl(nGC_35)*coupl(nGC_419)**2d0*coupl(     &
                        nGC_449) - 10d0*cima*coupl(nGC_35)*coupl(nGC_449)*coupl&
                        (nGC_455)*coupl(nGC_47) + 24d0*cima*coupl(nGC_40)**2d0 &
                         - 10d0*cima*coupl(nGC_451)*coupl(nGC_55)**2d0*coupl(  &
                        nGC_57) + 6d0*cima*coupl(nGC_63)*coupl(nGC_65) + 24d0* &
                        cima*coupl(nGC_9)**2d0 + 20d0*cima*coupl(nGC_95)**2d0* &
                        coupl(nGC_98)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_451)* &
                        coupl(nGC_57) + 3d0*coupl(nGC_14)*coupl(nGC_34)*coupl( &
                        nGC_447) + 3d0*coupl(nGC_14)*coupl(nGC_35)*coupl(      &
                        nGC_449) + 6d0*coupl(nGC_18)*coupl(nGC_35)*coupl(nGC_47&
                        ) + 6d0*coupl(nGC_18)*coupl(nGC_449)*coupl(nGC_455) +  &
                        3d0*coupl(nGC_20)*coupl(nGC_32)*coupl(nGC_429) + 6d0*  &
                        coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_35) + 3d0*coupl( &
                        nGC_20)*coupl(nGC_417)**2d0 + 3d0*coupl(nGC_20)*coupl( &
                        nGC_419)**2d0 + 6d0*coupl(nGC_20)*coupl(nGC_447)*coupl(&
                        nGC_449) + 3d0*coupl(nGC_22)*coupl(nGC_35)*coupl(      &
                        nGC_425) + 3d0*coupl(nGC_22)*coupl(nGC_449)*coupl(     &
                        nGC_46) + 3d0*coupl(nGC_24)*coupl(nGC_35)*coupl(nGC_449&
                        ) + 3d0*coupl(nGC_25)*coupl(nGC_425)*coupl(nGC_46) -   &
                        3d0*coupl(nGC_26)*coupl(nGC_34)*coupl(nGC_447) - 3d0*  &
                        coupl(nGC_26)*coupl(nGC_35)*coupl(nGC_449) - 3d0*coupl(&
                        nGC_28)*coupl(nGC_32)*coupl(nGC_429) - 3d0*coupl(nGC_28&
                        )*coupl(nGC_34)*coupl(nGC_447) - 3d0*coupl(nGC_28)*    &
                        coupl(nGC_455)*coupl(nGC_47) - 6d0*coupl(nGC_32)*coupl(&
                        nGC_451)*coupl(nGC_9) - 6d0*coupl(nGC_35)*coupl(nGC_40 &
                        )*coupl(nGC_419) - 6d0*coupl(nGC_35)*coupl(nGC_417)*   &
                        coupl(nGC_9) - 6d0*coupl(nGC_40)*coupl(nGC_419)*coupl( &
                        nGC_449) - 6d0*coupl(nGC_417)*coupl(nGC_449)*coupl(    &
                        nGC_9) - 6d0*coupl(nGC_429)*coupl(nGC_57)*coupl(nGC_9  &
                        ) - 3d0*coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_63) -   &
                        3d0*coupl(nGC_55)**2d0*coupl(nGC_65))/(96d0*pi**2d0)
      coupl(nGC_1177) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_109)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_89)**2d0 &
                         + 40d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(   &
                        nGC_85)*coupl(nGC_89) + 20d0*Nc*cima*coupl(nGC_109)**  &
                        2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)** &
                        2d0*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**&
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_110)*  &
                        coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc*  &
                        cima*coupl(nGC_114)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_124)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_120)**2d0*coupl(nGC_94)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_90)*coupl(&
                        nGC_94) + 20d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_90&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_84  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_90)**2d0*coupl(nGC_94  &
                        )**2d0 + 20d0*cima*coupl(nGC_100)**2d0*coupl(nGC_104)**&
                        2d0 + 20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_119)**2d0&
                         + 24d0*cima*coupl(nGC_17)**2d0 + 12d0*cima*coupl(     &
                        nGC_26)*coupl(nGC_31) - 5d0*cima*coupl(nGC_32)*coupl(  &
                        nGC_417)*coupl(nGC_425)*coupl(nGC_445) - 10d0*cima*    &
                        coupl(nGC_32)*coupl(nGC_425)*coupl(nGC_429)*coupl(     &
                        nGC_46) - 10d0*cima*coupl(nGC_32)*coupl(nGC_429)*coupl(&
                        nGC_445)*coupl(nGC_61) - 5d0*cima*coupl(nGC_32)*coupl( &
                        nGC_445)*coupl(nGC_455)*coupl(nGC_55) - 10d0*cima*coupl&
                        (nGC_34)*coupl(nGC_425)*coupl(nGC_447)*coupl(nGC_46) - &
                        10d0*cima*coupl(nGC_417)**2d0*coupl(nGC_425)*coupl(    &
                        nGC_46) - 5d0*cima*coupl(nGC_417)*coupl(nGC_429)*coupl(&
                        nGC_46)*coupl(nGC_61) - 10d0*cima*coupl(nGC_419)**2d0* &
                        coupl(nGC_425)*coupl(nGC_46) - 10d0*cima*coupl(nGC_425 &
                        )*coupl(nGC_455)*coupl(nGC_46)*coupl(nGC_47) - 5d0*cima&
                        *coupl(nGC_429)*coupl(nGC_47)*coupl(nGC_55)*coupl(     &
                        nGC_61) - 10d0*cima*coupl(nGC_445)*coupl(nGC_55)**2d0* &
                        coupl(nGC_61) + 24d0*cima*coupl(nGC_48)**2d0 + 6d0*cima&
                        *coupl(nGC_63)*coupl(nGC_67) + 20d0*cima*coupl(nGC_95  &
                        )**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_13)*coupl(   &
                        nGC_445)*coupl(nGC_61) + 3d0*coupl(nGC_14)*coupl(      &
                        nGC_425)*coupl(nGC_46) + 3d0*coupl(nGC_14)*coupl(      &
                        nGC_455)*coupl(nGC_47) - 6d0*coupl(nGC_17)*coupl(nGC_32&
                        )*coupl(nGC_445) - 6d0*coupl(nGC_17)*coupl(nGC_417)*   &
                        coupl(nGC_425) - 6d0*coupl(nGC_17)*coupl(nGC_417)*coupl&
                        (nGC_46) - 6d0*coupl(nGC_17)*coupl(nGC_429)*coupl(     &
                        nGC_61) + 6d0*coupl(nGC_18)*coupl(nGC_34)*coupl(nGC_46 &
                        ) + 6d0*coupl(nGC_18)*coupl(nGC_425)*coupl(nGC_447) +  &
                        3d0*coupl(nGC_19)*coupl(nGC_32)*coupl(nGC_429) + 3d0*  &
                        coupl(nGC_19)*coupl(nGC_417)**2d0 + 3d0*coupl(nGC_19)* &
                        coupl(nGC_419)**2d0 + 6d0*coupl(nGC_19)*coupl(nGC_425)*&
                        coupl(nGC_455) + 6d0*coupl(nGC_19)*coupl(nGC_46)*coupl(&
                        nGC_47) + 3d0*coupl(nGC_21)*coupl(nGC_35)*coupl(nGC_425&
                        ) + 3d0*coupl(nGC_21)*coupl(nGC_449)*coupl(nGC_46) +   &
                        3d0*coupl(nGC_23)*coupl(nGC_425)*coupl(nGC_46) + 3d0*  &
                        coupl(nGC_25)*coupl(nGC_35)*coupl(nGC_449) - 3d0*coupl(&
                        nGC_26)*coupl(nGC_425)*coupl(nGC_46) - 3d0*coupl(nGC_26&
                        )*coupl(nGC_455)*coupl(nGC_47) - 3d0*coupl(nGC_31)*    &
                        coupl(nGC_32)*coupl(nGC_429) - 3d0*coupl(nGC_31)*coupl(&
                        nGC_34)*coupl(nGC_447) - 3d0*coupl(nGC_31)*coupl(      &
                        nGC_455)*coupl(nGC_47) - 6d0*coupl(nGC_419)*coupl(     &
                        nGC_425)*coupl(nGC_48) - 6d0*coupl(nGC_419)*coupl(     &
                        nGC_46)*coupl(nGC_48) - 3d0*coupl(nGC_445)*coupl(nGC_61&
                        )*coupl(nGC_63) - 3d0*coupl(nGC_55)**2d0*coupl(nGC_67  &
                        ))/(96d0*pi**2d0)
      coupl(nGC_1176) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_108)*coupl(&
                        nGC_109) + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(     &
                        nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_108)*coupl(nGC_85)*coupl(nGC_89) + 20d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0* &
                        coupl(nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(    &
                        nGC_110)**2d0*coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*   &
                        cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_80)*coupl(&
                        nGC_84) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*  &
                        coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc*cima*coupl(      &
                        nGC_113)*coupl(nGC_114)*coupl(nGC_80)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_123)*coupl(nGC_124  &
                        ) + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_93)*    &
                        coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_120)*coupl(     &
                        nGC_123)*coupl(nGC_90)*coupl(nGC_94) + 20d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_90)*coupl(     &
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124)*  &
                        coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*  &
                        coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_85&
                        )**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*coupl&
                        (nGC_90)**2d0*coupl(nGC_93)*coupl(nGC_94) + 20d0*cima* &
                        coupl(nGC_100)**2d0*coupl(nGC_103)*coupl(nGC_104) +    &
                        20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_118)*coupl(    &
                        nGC_119) + 24d0*cima*coupl(nGC_17)*coupl(nGC_9) + 12d0*&
                        cima*coupl(nGC_26)*coupl(nGC_30) - 5d0*cima*coupl(     &
                        nGC_32)*coupl(nGC_35)*coupl(nGC_425)*coupl(nGC_429) -  &
                        5d0*cima*coupl(nGC_32)*coupl(nGC_417)*coupl(nGC_445)*  &
                        coupl(nGC_449) - 5d0*cima*coupl(nGC_32)*coupl(nGC_429)*&
                        coupl(nGC_445)*coupl(nGC_57) - 5d0*cima*coupl(nGC_32)* &
                        coupl(nGC_429)*coupl(nGC_449)*coupl(nGC_46) - 5d0*cima*&
                        coupl(nGC_32)*coupl(nGC_429)*coupl(nGC_451)*coupl(     &
                        nGC_61) - 5d0*cima*coupl(nGC_32)*coupl(nGC_451)*coupl( &
                        nGC_455)*coupl(nGC_55) - 5d0*cima*coupl(nGC_34)*coupl( &
                        nGC_35)*coupl(nGC_425)*coupl(nGC_447) - 5d0*cima*coupl(&
                        nGC_34)*coupl(nGC_447)*coupl(nGC_449)*coupl(nGC_46) -  &
                        5d0*cima*coupl(nGC_35)*coupl(nGC_417)**2d0*coupl(      &
                        nGC_425) - 5d0*cima*coupl(nGC_35)*coupl(nGC_417)*coupl(&
                        nGC_429)*coupl(nGC_61) - 5d0*cima*coupl(nGC_35)*coupl( &
                        nGC_419)**2d0*coupl(nGC_425) - 5d0*cima*coupl(nGC_35)* &
                        coupl(nGC_425)*coupl(nGC_455)*coupl(nGC_47) + 24d0*cima&
                        *coupl(nGC_40)*coupl(nGC_48) - 5d0*cima*coupl(nGC_417  &
                        )**2d0*coupl(nGC_449)*coupl(nGC_46) - 5d0*cima*coupl(  &
                        nGC_419)**2d0*coupl(nGC_449)*coupl(nGC_46) - 5d0*cima* &
                        coupl(nGC_429)*coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_57&
                        ) - 5d0*cima*coupl(nGC_445)*coupl(nGC_55)**2d0*coupl(  &
                        nGC_57) - 5d0*cima*coupl(nGC_449)*coupl(nGC_455)*coupl(&
                        nGC_46)*coupl(nGC_47) - 5d0*cima*coupl(nGC_451)*coupl( &
                        nGC_55)**2d0*coupl(nGC_61) + 6d0*cima*coupl(nGC_63)*   &
                        coupl(nGC_66) + 20d0*cima*coupl(nGC_95)**2d0*coupl(    &
                        nGC_98)*coupl(nGC_99) + 3d0*coupl(nGC_13)*coupl(nGC_445&
                        )*coupl(nGC_57) + 3d0*coupl(nGC_14)*coupl(nGC_34)*coupl&
                        (nGC_455) + 3d0*coupl(nGC_14)*coupl(nGC_35)*coupl(     &
                        nGC_425) - 3d0*coupl(nGC_17)*coupl(nGC_32)*coupl(      &
                        nGC_451) - 3d0*coupl(nGC_17)*coupl(nGC_35)*coupl(      &
                        nGC_417) - 3d0*coupl(nGC_17)*coupl(nGC_417)*coupl(     &
                        nGC_449) - 3d0*coupl(nGC_17)*coupl(nGC_429)*coupl(     &
                        nGC_57) + 3d0*coupl(nGC_18)*coupl(nGC_32)*coupl(nGC_429&
                        ) + 3d0*coupl(nGC_18)*coupl(nGC_34)*coupl(nGC_35) + 3d0&
                        *coupl(nGC_18)*coupl(nGC_417)**2d0 + 3d0*coupl(nGC_18)*&
                        coupl(nGC_419)**2d0 + 3d0*coupl(nGC_18)*coupl(nGC_425)*&
                        coupl(nGC_455) + 3d0*coupl(nGC_18)*coupl(nGC_447)*coupl&
                        (nGC_449) + 3d0*coupl(nGC_18)*coupl(nGC_46)*coupl(     &
                        nGC_47) + 3d0*coupl(nGC_19)*coupl(nGC_35)*coupl(nGC_47 &
                        ) + 3d0*coupl(nGC_19)*coupl(nGC_449)*coupl(nGC_455) +  &
                        3d0*coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_46) + 3d0*   &
                        coupl(nGC_20)*coupl(nGC_425)*coupl(nGC_447) + 3d0*coupl&
                        (nGC_21)*coupl(nGC_425)*coupl(nGC_46) + 3d0*coupl(     &
                        nGC_22)*coupl(nGC_35)*coupl(nGC_449) + 3d0*coupl(nGC_25&
                        )*coupl(nGC_35)*coupl(nGC_425) + 3d0*coupl(nGC_25)*    &
                        coupl(nGC_449)*coupl(nGC_46) - 3d0*coupl(nGC_26)*coupl(&
                        nGC_447)*coupl(nGC_47) - 3d0*coupl(nGC_26)*coupl(      &
                        nGC_449)*coupl(nGC_46) - 3d0*coupl(nGC_30)*coupl(nGC_32&
                        )*coupl(nGC_429) - 3d0*coupl(nGC_30)*coupl(nGC_34)*    &
                        coupl(nGC_447) - 3d0*coupl(nGC_30)*coupl(nGC_455)*coupl&
                        (nGC_47) - 3d0*coupl(nGC_32)*coupl(nGC_445)*coupl(nGC_9&
                        ) - 3d0*coupl(nGC_35)*coupl(nGC_419)*coupl(nGC_48) -   &
                        3d0*coupl(nGC_40)*coupl(nGC_419)*coupl(nGC_425) - 3d0* &
                        coupl(nGC_40)*coupl(nGC_419)*coupl(nGC_46) - 3d0*coupl(&
                        nGC_417)*coupl(nGC_425)*coupl(nGC_9) - 3d0*coupl(      &
                        nGC_417)*coupl(nGC_46)*coupl(nGC_9) - 3d0*coupl(nGC_419&
                        )*coupl(nGC_449)*coupl(nGC_48) - 3d0*coupl(nGC_429)*   &
                        coupl(nGC_61)*coupl(nGC_9) - 3d0*coupl(nGC_451)*coupl( &
                        nGC_61)*coupl(nGC_63) - 3d0*coupl(nGC_55)**2d0*coupl(  &
                        nGC_66))/(96d0*pi**2d0)
      coupl(nGC_1171) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_106)*coupl(&
                        nGC_107) + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(     &
                        nGC_86)*coupl(nGC_87) + 20d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_106)*coupl(nGC_85)*coupl(nGC_87) + 20d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85)*coupl(&
                        nGC_86) + 20d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0* &
                        coupl(nGC_111)*coupl(nGC_112) + 20d0*Nc*cima*coupl(    &
                        nGC_110)**2d0*coupl(nGC_81)*coupl(nGC_82) + 20d0*Nc*   &
                        cima*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_80)*coupl(&
                        nGC_82) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_112)*  &
                        coupl(nGC_80)*coupl(nGC_81) + 20d0*Nc*cima*coupl(      &
                        nGC_111)*coupl(nGC_112)*coupl(nGC_80)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_120)**2d0*coupl(nGC_121)*coupl(nGC_122  &
                        ) + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_91)*    &
                        coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_120)*coupl(     &
                        nGC_121)*coupl(nGC_90)*coupl(nGC_92) + 20d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_90)*coupl(     &
                        nGC_91) + 20d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*  &
                        coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*  &
                        coupl(nGC_81)*coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_85&
                        )**2d0*coupl(nGC_86)*coupl(nGC_87) + 20d0*Nc*cima*coupl&
                        (nGC_90)**2d0*coupl(nGC_91)*coupl(nGC_92) + 20d0*cima* &
                        coupl(nGC_100)**2d0*coupl(nGC_101)*coupl(nGC_102) +    &
                        20d0*cima*coupl(nGC_115)**2d0*coupl(nGC_116)*coupl(    &
                        nGC_117) + 12d0*cima*coupl(nGC_26)**2d0 - 10d0*cima*   &
                        coupl(nGC_32)**2d0*coupl(nGC_429)**2d0 - 10d0*cima*    &
                        coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_429)*coupl(      &
                        nGC_447) - 10d0*cima*coupl(nGC_32)*coupl(nGC_417)**2d0*&
                        coupl(nGC_429) - 5d0*cima*coupl(nGC_32)*coupl(nGC_417)*&
                        coupl(nGC_447)*coupl(nGC_57) - 5d0*cima*coupl(nGC_32)* &
                        coupl(nGC_417)*coupl(nGC_455)*coupl(nGC_61) - 10d0*cima&
                        *coupl(nGC_32)*coupl(nGC_419)**2d0*coupl(nGC_429) - 5d0&
                        *cima*coupl(nGC_32)*coupl(nGC_425)*coupl(nGC_55)*coupl(&
                        nGC_61) - 10d0*cima*coupl(nGC_32)*coupl(nGC_429)*coupl(&
                        nGC_455)*coupl(nGC_47) - 5d0*cima*coupl(nGC_32)*coupl( &
                        nGC_449)*coupl(nGC_55)*coupl(nGC_57) - 5d0*cima*coupl( &
                        nGC_34)*coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_451) - &
                        10d0*cima*coupl(nGC_35)*coupl(nGC_425)*coupl(nGC_451)* &
                        coupl(nGC_61) - 5d0*cima*coupl(nGC_35)*coupl(nGC_429)* &
                        coupl(nGC_451)*coupl(nGC_55) - 10d0*cima*coupl(nGC_35)*&
                        coupl(nGC_449)*coupl(nGC_451)*coupl(nGC_57) + 24d0*cima&
                        *coupl(nGC_38)*coupl(nGC_39) - 5d0*cima*coupl(nGC_417)*&
                        coupl(nGC_429)*coupl(nGC_445)*coupl(nGC_47) - 10d0*cima&
                        *coupl(nGC_425)*coupl(nGC_445)*coupl(nGC_46)*coupl(    &
                        nGC_61) - 5d0*cima*coupl(nGC_429)*coupl(nGC_445)*coupl(&
                        nGC_46)*coupl(nGC_55) - 10d0*cima*coupl(nGC_445)*coupl(&
                        nGC_449)*coupl(nGC_46)*coupl(nGC_57) - 10d0*cima*coupl(&
                        nGC_445)*coupl(nGC_55)**2d0*coupl(nGC_61) - 10d0*cima* &
                        coupl(nGC_451)*coupl(nGC_55)**2d0*coupl(nGC_57) + 6d0* &
                        cima*coupl(nGC_63)*coupl(nGC_64) + 24d0*cima*coupl(    &
                        nGC_7)*coupl(nGC_8) + 20d0*cima*coupl(nGC_95)**2d0*    &
                        coupl(nGC_96)*coupl(nGC_97) + 6d0*coupl(nGC_13)*coupl( &
                        nGC_32)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_417)**2d0 + &
                        3d0*coupl(nGC_13)*coupl(nGC_419)**2d0 + 6d0*coupl(     &
                        nGC_13)*coupl(nGC_429)**2d0 + 6d0*coupl(nGC_14)*coupl( &
                        nGC_32)*coupl(nGC_429) + 3d0*coupl(nGC_15)*coupl(nGC_32&
                        )*coupl(nGC_429) + 3d0*coupl(nGC_18)*coupl(nGC_35)*    &
                        coupl(nGC_425) + 3d0*coupl(nGC_18)*coupl(nGC_445)*coupl&
                        (nGC_57) + 3d0*coupl(nGC_18)*coupl(nGC_449)*coupl(     &
                        nGC_46) + 3d0*coupl(nGC_18)*coupl(nGC_451)*coupl(nGC_61&
                        ) + 3d0*coupl(nGC_19)*coupl(nGC_425)*coupl(nGC_46) +   &
                        3d0*coupl(nGC_19)*coupl(nGC_445)*coupl(nGC_61) + 3d0*  &
                        coupl(nGC_20)*coupl(nGC_35)*coupl(nGC_449) + 3d0*coupl(&
                        nGC_20)*coupl(nGC_451)*coupl(nGC_57) - 9d0*coupl(nGC_26&
                        )*coupl(nGC_32)*coupl(nGC_429) - 3d0*coupl(nGC_26)*    &
                        coupl(nGC_34)*coupl(nGC_447) - 3d0*coupl(nGC_26)*coupl(&
                        nGC_455)*coupl(nGC_47) - 6d0*coupl(nGC_32)*coupl(nGC_39&
                        )*coupl(nGC_419) - 6d0*coupl(nGC_32)*coupl(nGC_417)*   &
                        coupl(nGC_8) - 6d0*coupl(nGC_35)*coupl(nGC_451)*coupl( &
                        nGC_7) - 6d0*coupl(nGC_38)*coupl(nGC_419)*coupl(nGC_429&
                        ) - 6d0*coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_7) -   &
                        6d0*coupl(nGC_425)*coupl(nGC_61)*coupl(nGC_8) - 6d0*   &
                        coupl(nGC_445)*coupl(nGC_46)*coupl(nGC_7) - 3d0*coupl( &
                        nGC_445)*coupl(nGC_61)*coupl(nGC_63) - 6d0*coupl(      &
                        nGC_449)*coupl(nGC_57)*coupl(nGC_8) - 3d0*coupl(nGC_451&
                        )*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl(nGC_55)**2d0*&
                        coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_1170) = (20d0*Nc*cima*coupl(nGC_105)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_110)**4d0 + 20d0*Nc*cima*coupl(nGC_120)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_80)**4d0 + 20d0*Nc*cima*coupl(nGC_85&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_90)**4d0 + 20d0*cima*  &
                        coupl(nGC_100)**4d0 + 20d0*cima*coupl(nGC_115)**4d0 +  &
                        24d0*cima*coupl(nGC_26)**2d0 - 20d0*cima*coupl(nGC_32  &
                        )**2d0*coupl(nGC_429)**2d0 - 10d0*cima*coupl(nGC_32)*  &
                        coupl(nGC_34)*coupl(nGC_429)*coupl(nGC_447) - 10d0*cima&
                        *coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_429)*coupl(     &
                        nGC_449) - 10d0*cima*coupl(nGC_32)*coupl(nGC_35)*coupl(&
                        nGC_429)*coupl(nGC_447) - 10d0*cima*coupl(nGC_32)*coupl&
                        (nGC_35)*coupl(nGC_429)*coupl(nGC_449) - 10d0*cima*    &
                        coupl(nGC_32)*coupl(nGC_425)*coupl(nGC_429)*coupl(     &
                        nGC_46) - 10d0*cima*coupl(nGC_32)*coupl(nGC_425)*coupl(&
                        nGC_429)*coupl(nGC_47) - 10d0*cima*coupl(nGC_32)*coupl(&
                        nGC_429)*coupl(nGC_455)*coupl(nGC_46) - 10d0*cima*coupl&
                        (nGC_32)*coupl(nGC_429)*coupl(nGC_455)*coupl(nGC_47) - &
                        5d0*cima*coupl(nGC_34)**2d0*coupl(nGC_447)**2d0 - 10d0*&
                        cima*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_447)*coupl( &
                        nGC_449) - 10d0*cima*coupl(nGC_34)*coupl(nGC_447)*coupl&
                        (nGC_455)*coupl(nGC_47) - 10d0*cima*coupl(nGC_34)*coupl&
                        (nGC_449)*coupl(nGC_455)*coupl(nGC_46) - 5d0*cima*coupl&
                        (nGC_35)**2d0*coupl(nGC_449)**2d0 - 10d0*cima*coupl(   &
                        nGC_35)*coupl(nGC_425)*coupl(nGC_447)*coupl(nGC_47) -  &
                        10d0*cima*coupl(nGC_35)*coupl(nGC_425)*coupl(nGC_449)* &
                        coupl(nGC_46) - 5d0*cima*coupl(nGC_4)**4d0 - 10d0*cima*&
                        coupl(nGC_4)**2d0*coupl(nGC_419)**2d0 - 10d0*cima*coupl&
                        (nGC_4)**2d0*coupl(nGC_55)**2d0 - 20d0*cima*coupl(nGC_4&
                        )*coupl(nGC_417)*coupl(nGC_419)*coupl(nGC_55) - 5d0*   &
                        cima*coupl(nGC_417)**4d0 - 10d0*cima*coupl(nGC_417)**  &
                        2d0*coupl(nGC_419)**2d0 - 10d0*cima*coupl(nGC_417)**2d0&
                        *coupl(nGC_55)**2d0 - 5d0*cima*coupl(nGC_419)**4d0 -   &
                        5d0*cima*coupl(nGC_425)**2d0*coupl(nGC_46)**2d0 - 10d0*&
                        cima*coupl(nGC_425)*coupl(nGC_455)*coupl(nGC_46)*coupl(&
                        nGC_47) - 5d0*cima*coupl(nGC_455)**2d0*coupl(nGC_47)** &
                        2d0 - 5d0*cima*coupl(nGC_55)**4d0 + 24d0*cima*coupl(   &
                        nGC_58)**2d0 + 12d0*cima*coupl(nGC_6)**2d0 + 12d0*cima*&
                        coupl(nGC_63)**2d0 + 20d0*cima*coupl(nGC_95)**4d0 +    &
                        12d0*coupl(nGC_13)*coupl(nGC_32)*coupl(nGC_429) + 6d0* &
                        coupl(nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*   &
                        coupl(nGC_4)*coupl(nGC_419) + 6d0*coupl(nGC_14)*coupl( &
                        nGC_417)**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_417)*coupl(&
                        nGC_55) + 6d0*coupl(nGC_14)*coupl(nGC_419)**2d0 + 6d0* &
                        coupl(nGC_14)*coupl(nGC_55)**2d0 + 6d0*coupl(nGC_18)*  &
                        coupl(nGC_34)*coupl(nGC_455) + 6d0*coupl(nGC_18)*coupl(&
                        nGC_35)*coupl(nGC_425) + 6d0*coupl(nGC_18)*coupl(      &
                        nGC_447)*coupl(nGC_47) + 6d0*coupl(nGC_18)*coupl(      &
                        nGC_449)*coupl(nGC_46) + 6d0*coupl(nGC_19)*coupl(      &
                        nGC_425)*coupl(nGC_46) + 6d0*coupl(nGC_19)*coupl(      &
                        nGC_455)*coupl(nGC_47) + 6d0*coupl(nGC_20)*coupl(nGC_34&
                        )*coupl(nGC_447) + 6d0*coupl(nGC_20)*coupl(nGC_35)*    &
                        coupl(nGC_449) - 12d0*coupl(nGC_26)*coupl(nGC_32)*coupl&
                        (nGC_429) - 6d0*coupl(nGC_26)*coupl(nGC_34)*coupl(     &
                        nGC_447) - 6d0*coupl(nGC_26)*coupl(nGC_35)*coupl(      &
                        nGC_449) - 6d0*coupl(nGC_26)*coupl(nGC_425)*coupl(     &
                        nGC_46) - 6d0*coupl(nGC_26)*coupl(nGC_455)*coupl(nGC_47&
                        ) - 6d0*coupl(nGC_4)**2d0*coupl(nGC_6) - 12d0*coupl(   &
                        nGC_4)*coupl(nGC_55)*coupl(nGC_58) - 6d0*coupl(nGC_417 &
                        )**2d0*coupl(nGC_63) - 12d0*coupl(nGC_417)*coupl(      &
                        nGC_419)*coupl(nGC_58) - 6d0*coupl(nGC_419)**2d0*coupl(&
                        nGC_6) - 6d0*coupl(nGC_55)**2d0*coupl(nGC_63))/(96d0*pi&
                        **2d0)
      coupl(nGC_1678) = coupl(nGC_1311) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2
      coupl(nGC_1679) = coupl(nGC_51)*dZcR_QCD2
      coupl(nGC_1128) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_106)*coupl(nGC_107) - coupl(nGC_108)**2d0 - coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1778) = coupl(nGC_108)*dZsL_QCD2/2d0 + coupl(nGC_108)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1344)
      coupl(nGC_1777) = coupl(nGC_108)*dZHh_QED2/2d0 + coupl(nGC_108)*dZsL_QED2&
                        /2d0 + coupl(nGC_108)*dZsR_QED2/2d0 + coupl(nGC_109)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_1343)
      coupl(nGC_1210) = (20d0*Nc*cima*coupl(nGC_109)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_114)**4d0 + 20d0*Nc*cima*coupl(nGC_124)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_84)**4d0 + 20d0*Nc*cima*coupl(nGC_89&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_94)**4d0 + 20d0*cima*  &
                        coupl(nGC_104)**4d0 + 20d0*cima*coupl(nGC_119)**4d0 +  &
                        6d0*cima*coupl(nGC_31)**2d0 - 5d0*cima*coupl(nGC_425)**&
                        2d0*coupl(nGC_46)**2d0 - 5d0*cima*coupl(nGC_445)**2d0* &
                        coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_455)**2d0*coupl&
                        (nGC_47)**2d0 + 3d0*cima*coupl(nGC_67)**2d0 + 20d0*cima&
                        *coupl(nGC_99)**4d0 + 3d0*coupl(nGC_19)*coupl(nGC_425)*&
                        coupl(nGC_46) + 3d0*coupl(nGC_19)*coupl(nGC_445)*coupl(&
                        nGC_61) + 3d0*coupl(nGC_19)*coupl(nGC_455)*coupl(nGC_47&
                        ) - 3d0*coupl(nGC_31)*coupl(nGC_425)*coupl(nGC_46) -   &
                        3d0*coupl(nGC_31)*coupl(nGC_455)*coupl(nGC_47) - 3d0*  &
                        coupl(nGC_445)*coupl(nGC_61)*coupl(nGC_67))/(16d0*pi** &
                        2d0)
      coupl(nGC_1774) = coupl(nGC_1274) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1770) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_28_Hh) = -coupl(nGC_28)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_123_Hh) = -coupl(nGC_123)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1510) = coupl(nGC_1353) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_95)*dZnu_eL_QED2/2d0
      coupl(nGC_1515) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1326)
      coupl(nGC_1688) = coupl(nGC_1352) + coupl(nGC_84)*dZbL_QCD2/2d0 + coupl( &
                        nGC_84)*dZbR_QCD2/2d0
      coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1687) = coupl(nGC_1351) + coupl(nGC_83)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_84)*dZHl_QED2/2d0 + coupl(nGC_84)*dZbL_QED2/2d0 + &
                        coupl(nGC_84)*dZbR_QED2/2d0
      coupl(nGC_1686) = -coupl(nGC_1250) - coupl(nGC_3)*dZWMinus_QED2/2d0
      coupl(nGC_1685) = coupl(nGC_103)*dZHhHl_QED2/2d0 + coupl(nGC_104)*       &
                        dZHl_QED2/2d0 + coupl(nGC_104)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_104)*dZmuMinusR_QED2/2d0 + coupl(nGC_1366)
      coupl(nGC_948) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*coupl&
                       (nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl(     &
                       nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0&
                       *coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*    &
                       coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_949) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*coupl&
                       (nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2  &
                       )**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**&
                       2d0)
      coupl(nGC_944) = (coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*   &
                       coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4 &
                       ))/(32d0*pi**2d0)
      coupl(nGC_945) = (coupl(nGC_115)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*   &
                       coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4 &
                       ))/(32d0*pi**2d0)
      coupl(nGC_946) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*   &
                       coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +     &
                       coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*    &
                       coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_33)**2d0&
                        + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_33)**&
                       2d0*coupl(nGC_423))/(32d0*pi**2d0)
      coupl(nGC_947) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*   &
                       coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +     &
                       coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*    &
                       coupl(nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2))/(&
                       32d0*pi**2d0)
      coupl(nGC_940) = (-4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_4 &
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_4)*coupl(&
                       nGC_98)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
      coupl(nGC_941) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(    &
                       nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_942) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4) + coupl(    &
                       nGC_103)**2d0*coupl(nGC_4) + coupl(nGC_104)**2d0*coupl( &
                       nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl&
                       (nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(   &
                       32d0*pi**2d0)
      coupl(nGC_943) = (4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1298) = coupl(nGC_611)*dcw_QED2 + coupl(nGC_612)*dvev_QED1 +   &
                        coupl(nGC_613)*dZee_QED2
      coupl(nGC_1299) = coupl(nGC_738)*dcw_QED2 + coupl(nGC_739)*dZee_QED2
      coupl(nGC_1294) = coupl(nGC_864)*dcw_QED2 + coupl(nGC_865)*dsw_QED2 +    &
                        coupl(nGC_866)*dZee_QED2
      coupl(nGC_1295) = coupl(nGC_742)*dcw_QED2 + coupl(nGC_743)*dZee_QED2
      coupl(nGC_1296) = coupl(nGC_744)*dcw_QED2 + coupl(nGC_745)*dZee_QED2 +   &
                        coupl(nGC_746)*da_QED2
      coupl(nGC_1297) = coupl(nGC_749)*dcw_QED2 + coupl(nGC_750)*dZee_QED2 +   &
                        coupl(nGC_751)*da_QED2
      coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1291) = coupl(nGC_622)*dcw_QED2 + coupl(nGC_623)*dsw_QED2 +    &
                        coupl(nGC_624)*dZee_QED2
      coupl(nGC_1293) = coupl(nGC_628)*dcw_QED2 + coupl(nGC_629)*dsw_QED2 +    &
                        coupl(nGC_630)*dZee_QED2 + coupl(nGC_631)*da_QED2
      coupl(nGC_1197) = (40d0*Nc*cima*coupl(nGC_108)**3d0*coupl(nGC_109) + 40d0&
                        *Nc*cima*coupl(nGC_113)**3d0*coupl(nGC_114) + 40d0*Nc* &
                        cima*coupl(nGC_123)**3d0*coupl(nGC_124) + 40d0*Nc*cima*&
                        coupl(nGC_83)**3d0*coupl(nGC_84) + 40d0*Nc*cima*coupl( &
                        nGC_88)**3d0*coupl(nGC_89) + 40d0*Nc*cima*coupl(nGC_93 &
                        )**3d0*coupl(nGC_94) + 40d0*cima*coupl(nGC_103)**3d0*  &
                        coupl(nGC_104) + 40d0*cima*coupl(nGC_118)**3d0*coupl(  &
                        nGC_119) + 12d0*cima*coupl(nGC_28)*coupl(nGC_30) - 5d0*&
                        cima*coupl(nGC_34)**2d0*coupl(nGC_447)*coupl(nGC_455   &
                        ) - 5d0*cima*coupl(nGC_34)*coupl(nGC_447)**2d0*coupl(  &
                        nGC_47) - 5d0*cima*coupl(nGC_35)**2d0*coupl(nGC_425)*  &
                        coupl(nGC_449) - 5d0*cima*coupl(nGC_35)*coupl(nGC_449  &
                        )**2d0*coupl(nGC_46) - 5d0*cima*coupl(nGC_445)*coupl(  &
                        nGC_451)*coupl(nGC_57)**2d0 - 5d0*cima*coupl(nGC_451)**&
                        2d0*coupl(nGC_57)*coupl(nGC_61) + 6d0*cima*coupl(nGC_65&
                        )*coupl(nGC_66) + 40d0*cima*coupl(nGC_98)**3d0*coupl(  &
                        nGC_99) + 3d0*coupl(nGC_18)*coupl(nGC_34)*coupl(nGC_447&
                        ) + 3d0*coupl(nGC_18)*coupl(nGC_35)*coupl(nGC_449) +   &
                        3d0*coupl(nGC_18)*coupl(nGC_451)*coupl(nGC_57) + 2d0*  &
                        coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_455) + 2d0*coupl(&
                        nGC_20)*coupl(nGC_35)*coupl(nGC_425) + 2d0*coupl(nGC_20&
                        )*coupl(nGC_445)*coupl(nGC_57) + coupl(nGC_20)*coupl(  &
                        nGC_447)*coupl(nGC_47) + coupl(nGC_20)*coupl(nGC_449)* &
                        coupl(nGC_46) + coupl(nGC_20)*coupl(nGC_451)*coupl(    &
                        nGC_61) - coupl(nGC_28)*coupl(nGC_34)*coupl(nGC_455) - &
                        coupl(nGC_28)*coupl(nGC_35)*coupl(nGC_425) - 2d0*coupl(&
                        nGC_28)*coupl(nGC_447)*coupl(nGC_47) - 2d0*coupl(nGC_28&
                        )*coupl(nGC_449)*coupl(nGC_46) - 3d0*coupl(nGC_30)*    &
                        coupl(nGC_34)*coupl(nGC_447) - 3d0*coupl(nGC_30)*coupl(&
                        nGC_35)*coupl(nGC_449) - coupl(nGC_445)*coupl(nGC_57)* &
                        coupl(nGC_65) - 3d0*coupl(nGC_451)*coupl(nGC_57)*coupl(&
                        nGC_66) - 2d0*coupl(nGC_451)*coupl(nGC_61)*coupl(nGC_65&
                        ))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
