!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-01 12:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(876)%branchR2(0:1))
      call avR2(876, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_995, nGC_993/))

      call avR2(876, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_996, nGC_994/))

      allocate(vertices(1631)%branchR2(0:1))
      call avR2(1631, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1184/))

      call avR2(1631, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1183/))

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(714)%branchR2(0:1))
      call avR2(714, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1093, nGC_1095/))

      call avR2(714, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(187)%branchR2(0:1))
      call avR2(187, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1021, nGC_1019/))

      call avR2(187, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1022, nGC_1020/))

      allocate(vertices(1632)%branchR2(0:1))
      call avR2(1632, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1226, nGC_1226,      &
      nGC_1226/))

      call avR2(1632, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1227, nGC_1227,      &
      nGC_1227/))

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_988/))

      allocate(vertices(1633)%branchR2(0:1))
      call avR2(1633, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1633, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_951, nGC_950/))

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(453)%branchR2(0:1))
      call avR2(453, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_980, nGC_981/))

      call avR2(453, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_962, nGC_964/))

      allocate(vertices(1634)%branchR2(0:1))
      call avR2(1634, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      call avR2(1634, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1165, nGC_1164,       &
      nGC_1166/))

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(790)%branchR2(0:1))
      call avR2(790, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1108, nGC_1109/))

      call avR2(790, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_986/))

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1111, nGC_1110/))

      allocate(vertices(1330)%branchR2(0:1))
      call avR2(1330, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1097, nGC_1098/))

      call avR2(1330, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(22)%branchR2(0:3))
      call avR2(22, 0, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(22, 1, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_1126, nGC_1127/))

      call avR2(22, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(22, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_1124, nGC_1125/))

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(623)%branchR2(0:1))
      call avR2(623, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1021, nGC_1019/))

      call avR2(623, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1022, nGC_1020/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1208/))

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_927/))

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      call avR2(1635, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      allocate(vertices(1636)%branchR2(0:0))
      call avR2(1636, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(411)%branchR2(0:3))
      call avR2(411, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(411, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_1126, nGC_1127/))

      call avR2(411, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(411, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_1124, nGC_1125/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(501)%branchR2(0:1))
      call avR2(501, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_931, nGC_932/))

      call avR2(501, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_974/))

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1206/))

      call avR2(1637, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1207/))

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1184/))

      call avR2(1638, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1183/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1104, nGC_1103/))

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_988/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_923/))

      allocate(vertices(601)%branchR2(0:0))
      call avR2(601, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1839/))

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1835/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1839/))

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_989/))

      allocate(vertices(1639)%branchR2(0:1))
      call avR2(1639, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      call avR2(1639, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1640)%branchR2(0:1))
      call avR2(1640, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1221/))

      call avR2(1640, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1222/))

      allocate(vertices(1066)%branchR2(0:23))
      call avR2(1066, 0, 94, 1, 0, VVVV0, (/4, 0/), (/nGC_1237, nGC_1236,      &
      nGC_1237/))

      call avR2(1066, 1, 91, 1, 0, VVVV0, (/4, 0/), (/nGC_1236, nGC_1237,      &
      nGC_1237/))

      call avR2(1066, 2, 104, 1, 0, VVVV0, (/4, 0/), (/nGC_1246, nGC_1246,     &
      nGC_1246/))

      call avR2(1066, 3, 2, 1, 0, VVVV0, (/4, 0/), (/nGC_1232, nGC_1232,       &
      nGC_1231/))

      call avR2(1066, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_1240, nGC_1242,       &
      nGC_1241/))

      call avR2(1066, 5, 100, 1, 0, VVVV0, (/4, 0/), (/nGC_1246, nGC_1246,     &
      nGC_1246/))

      call avR2(1066, 6, 97, 1, 0, VVVV0, (/4, 0/), (/nGC_1234, nGC_1235,      &
      nGC_1233/))

      call avR2(1066, 7, 90, 1, 0, VVVV0, (/4, 0/), (/nGC_1234, nGC_1233,      &
      nGC_1235/))

      call avR2(1066, 8, 103, 1, 0, VVVV0, (/4, 0/), (/nGC_1247, nGC_1247,     &
      nGC_1247/))

      call avR2(1066, 9, 93, 1, 0, VVVV0, (/4, 0/), (/nGC_1238, nGC_1239,      &
      nGC_1236/))

      call avR2(1066, 10, 106, 1, 0, VVVV0, (/4, 0/), (/nGC_1246, nGC_1246,    &
      nGC_1246/))

      call avR2(1066, 11, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_1243, nGC_1245,      &
      nGC_1244/))

      call avR2(1066, 12, 96, 1, 0, VVVV0, (/4, 0/), (/nGC_1233, nGC_1235,     &
      nGC_1234/))

      call avR2(1066, 13, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_1240, nGC_1242,      &
      nGC_1241/))

      call avR2(1066, 14, 102, 1, 0, VVVV0, (/4, 0/), (/nGC_1246, nGC_1246,    &
      nGC_1246/))

      call avR2(1066, 15, 99, 1, 0, VVVV0, (/4, 0/), (/nGC_1233, nGC_1233,     &
      nGC_1233/))

      call avR2(1066, 16, 92, 1, 0, VVVV0, (/4, 0/), (/nGC_1234, nGC_1235,     &
      nGC_1233/))

      call avR2(1066, 17, 89, 1, 0, VVVV0, (/4, 0/), (/nGC_1233, nGC_1233,     &
      nGC_1233/))

      call avR2(1066, 18, 95, 1, 0, VVVV0, (/4, 0/), (/nGC_1233, nGC_1235,     &
      nGC_1234/))

      call avR2(1066, 19, 105, 1, 0, VVVV0, (/4, 0/), (/nGC_1246, nGC_1246,    &
      nGC_1246/))

      call avR2(1066, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_1243, nGC_1245,      &
      nGC_1244/))

      call avR2(1066, 21, 3, 1, 0, VVVV0, (/4, 0/), (/nGC_1232, nGC_1232,      &
      nGC_1231/))

      call avR2(1066, 22, 98, 1, 0, VVVV0, (/4, 0/), (/nGC_1234, nGC_1233,     &
      nGC_1235/))

      call avR2(1066, 23, 101, 1, 0, VVVV0, (/4, 0/), (/nGC_1246, nGC_1246,    &
      nGC_1246/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_957/))

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_922/))

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_1206/))

      call avR2(1641, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_1207/))

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1194/))

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_958/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(421)%branchR2(0:1))
      call avR2(421, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1086/))

      call avR2(421, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(813)%branchR2(0:1))
      call avR2(813, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_948, nGC_949/))

      call avR2(813, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1105/))

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1164, nGC_1165,        &
      nGC_1166/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1209/))

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_975/))

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(739)%branchR2(0:1))
      call avR2(739, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1047, nGC_1046/))

      call avR2(739, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1048, nGC_1048/))

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1165, nGC_1164,       &
      nGC_1166/))

      allocate(vertices(736)%branchR2(0:1))
      call avR2(736, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1076, nGC_1075/))

      call avR2(736, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1077, nGC_1077/))

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_924/))

      allocate(vertices(733)%branchR2(0:0))
      call avR2(733, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1158, nGC_1158,       &
      nGC_1158/))

      allocate(vertices(1223)%branchR2(0:1))
      call avR2(1223, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(1223, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1196/))

      allocate(vertices(472)%branchR2(0:1))
      call avR2(472, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1003, nGC_1001/))

      call avR2(472, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1004, nGC_1002/))

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1166, nGC_1164,        &
      nGC_1165/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1300)%branchR2(0:1))
      call avR2(1300, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1097, nGC_1098/))

      call avR2(1300, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1162, nGC_1161,       &
      nGC_1162/))

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1017, nGC_1018/))

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1365)%branchR2(0:1))
      call avR2(1365, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_983, nGC_982/))

      call avR2(1365, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_968, nGC_966/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_927/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1164, nGC_1166,        &
      nGC_1165/))

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(320)%branchR2(0:1))
      call avR2(320, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_948, nGC_949/))

      call avR2(320, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      call avR2(1645, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(649)%branchR2(0:1))
      call avR2(649, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1032, nGC_1031/))

      call avR2(649, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1033, nGC_1033/))

      allocate(vertices(1646)%branchR2(0:1))
      call avR2(1646, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1646, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      allocate(vertices(438)%branchR2(0:1))
      call avR2(438, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(438, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_929/))

      allocate(vertices(617)%branchR2(0:3))
      call avR2(617, 0, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(617, 1, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_1140, nGC_1141/))

      call avR2(617, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(617, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_1138, nGC_1139/))

      allocate(vertices(1305)%branchR2(0:1))
      call avR2(1305, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1076, nGC_1075/))

      call avR2(1305, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1077, nGC_1077/))

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(463)%branchR2(0:1))
      call avR2(463, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(463, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1156, nGC_1156,       &
      nGC_1156/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1007, nGC_1008/))

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1027/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(634)%branchR2(0:1))
      call avR2(634, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_984, nGC_985/))

      call avR2(634, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_970, nGC_972/))

      allocate(vertices(1648)%branchR2(0:1))
      call avR2(1648, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      call avR2(1648, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      call avR2(1649, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_991/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 14, 1, 0, FaF1, (/0, 2/), (/nGC_913/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1146, nGC_1147,        &
      nGC_1145/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1831/))

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(560)%branchR2(0:3))
      call avR2(560, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(560, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_1136, nGC_1137/))

      call avR2(560, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(560, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_1134, nGC_1135/))

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1023/))

      allocate(vertices(1650)%branchR2(0:1))
      call avR2(1650, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1227, nGC_1227,      &
      nGC_1227/))

      call avR2(1650, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1226, nGC_1226,      &
      nGC_1226/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_928/))

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_945/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1041, nGC_1042/))

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1832/))

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1078, nGC_1079/))

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1166, nGC_1165,        &
      nGC_1164/))

      allocate(vertices(129)%branchR2(0:0))
      call avR2(129, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1840/))

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1146, nGC_1147,        &
      nGC_1145/))

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1243)%branchR2(0:3))
      call avR2(1243, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(1243, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_1138, nGC_1139/))

      call avR2(1243, 2, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(1243, 3, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_1140, nGC_1141/))

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(401)%branchR2(0:1))
      call avR2(401, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_983, nGC_982/))

      call avR2(401, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_968, nGC_966/))

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_871, nGC_870/))

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_923/))

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_943/))

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(845)%branchR2(0:1))
      call avR2(845, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1089, nGC_1091/))

      call avR2(845, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1101/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1183/))

      call avR2(1653, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1184/))

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_928/))

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_974/))

      allocate(vertices(504)%branchR2(0:1))
      call avR2(504, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(504, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(1084)%branchR2(0:1))
      call avR2(1084, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1052, nGC_1051/))

      call avR2(1084, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1053, nGC_1053/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1088/))

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1840/))

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_986/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(1236)%branchR2(0:1))
      call avR2(1236, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_995, nGC_993/))

      call avR2(1236, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_996, nGC_994/))

      allocate(vertices(1328)%branchR2(0:3))
      call avR2(1328, 0, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(1328, 1, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_1131, nGC_1132/))

      call avR2(1328, 2, 23, 1, 0, FVFa0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(1328, 3, 23, 1, 0, FVFa0, (/1, 2/), (/nGC_1128, nGC_1129/))

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_959/))

      allocate(vertices(1044)%branchR2(0:1))
      call avR2(1044, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1044, nGC_1043/))

      call avR2(1044, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1045, nGC_1045/))

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_921/))

      allocate(vertices(1261)%branchR2(0:1))
      call avR2(1261, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1086/))

      call avR2(1261, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1129)%branchR2(0:1))
      call avR2(1129, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_946, nGC_947/))

      call avR2(1129, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_871, nGC_870/))

      allocate(vertices(1031)%branchR2(0:1))
      call avR2(1031, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_931, nGC_932/))

      call avR2(1031, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(75)%branchR2(0:3))
      call avR2(75, 0, 27, 1, 0, FaFV0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(75, 1, 27, 1, 0, FaFV0, (/1, 2/), (/nGC_1120, nGC_1121/))

      call avR2(75, 2, 26, 1, 0, FaFV0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(75, 3, 26, 1, 0, FaFV0, (/1, 2/), (/nGC_1122, nGC_1123/))

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1068, nGC_1069/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1105/))

      allocate(vertices(1032)%branchR2(0:1))
      call avR2(1032, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_971, nGC_969/))

      call avR2(1032, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_972, nGC_970/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_922/))

      allocate(vertices(1209)%branchR2(0:1))
      call avR2(1209, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(1209, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1065, nGC_1065/))

      allocate(vertices(210)%branchR2(0:1))
      call avR2(210, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_937, nGC_938/))

      call avR2(210, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1017, nGC_1018/))

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(1314)%branchR2(0:1))
      call avR2(1314, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(1314, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 14, 1, 0, FaF3, (/0, 2/), (/nGC_903, nGC_904, nGC_918 &
      , nGC_918/))

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_955/))

      allocate(vertices(701)%branchR2(0:1))
      call avR2(701, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(701, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(1655)%branchR2(0:5))
      call avR2(1655, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_1228, nGC_1228,      &
      nGC_1228/))

      call avR2(1655, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1655, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_1228, nGC_1228,      &
      nGC_1228/))

      call avR2(1655, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1655, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_1230, nGC_1230,      &
      nGC_1230/))

      call avR2(1655, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      allocate(vertices(744)%branchR2(0:1))
      call avR2(744, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1112, nGC_1113/))

      call avR2(744, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(1656)%branchR2(0:1))
      call avR2(1656, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1183/))

      call avR2(1656, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1184/))

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_959/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(521)%branchR2(0:1))
      call avR2(521, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(521, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(1657)%branchR2(0:5))
      call avR2(1657, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_1202, nGC_1202,      &
      nGC_1202/))

      call avR2(1657, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      call avR2(1657, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_1202, nGC_1202,      &
      nGC_1202/))

      call avR2(1657, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      call avR2(1657, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_1204, nGC_1204,      &
      nGC_1204/))

      call avR2(1657, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1212, nGC_1213,       &
      nGC_1214/))

      allocate(vertices(45)%branchR2(0:1))
      call avR2(45, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(45, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1208/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1831/))

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_960/))

      allocate(vertices(1658)%branchR2(0:1))
      call avR2(1658, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_1221/))

      call avR2(1658, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_1222/))

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1838/))

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(883)%branchR2(0:1))
      call avR2(883, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(883, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_884, nGC_882, nGC_883/))

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_945/))

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_951, nGC_950/))

      allocate(vertices(857)%branchR2(0:1))
      call avR2(857, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1086/))

      call avR2(857, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1214, nGC_1212,        &
      nGC_1213/))

      allocate(vertices(290)%branchR2(0:3))
      call avR2(290, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(290, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_1114, nGC_1116/))

      call avR2(290, 2, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(290, 3, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_1117, nGC_1119/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_923/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1212, nGC_1213,       &
      nGC_1214/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1151/))

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_929/))

      allocate(vertices(829)%branchR2(0:1))
      call avR2(829, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1093, nGC_1095/))

      call avR2(829, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1226, nGC_1226,      &
      nGC_1226/))

      call avR2(1660, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1227, nGC_1227,      &
      nGC_1227/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_986/))

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1835/))

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_925/))

      allocate(vertices(874)%branchR2(0:1))
      call avR2(874, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1086/))

      call avR2(874, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(1230)%branchR2(0:1))
      call avR2(1230, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1084/))

      call avR2(1230, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1382)%branchR2(0:1))
      call avR2(1382, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(1382, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(778)%branchR2(0:3))
      call avR2(778, 0, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(778, 1, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_1122, nGC_1123/))

      call avR2(778, 2, 25, 1, 0, FaVF0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(778, 3, 25, 1, 0, FaVF0, (/1, 2/), (/nGC_1120, nGC_1121/))

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1005, nGC_1006/))

      allocate(vertices(1661)%branchR2(0:5))
      call avR2(1661, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_1202, nGC_1202,      &
      nGC_1202/))

      call avR2(1661, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_1204, nGC_1204,      &
      nGC_1204/))

      call avR2(1661, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      call avR2(1661, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      call avR2(1661, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      call avR2(1661, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_1202, nGC_1202,      &
      nGC_1202/))

      allocate(vertices(1448)%branchR2(0:0))
      call avR2(1448, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_881, nGC_880/))

      allocate(vertices(578)%branchR2(0:1))
      call avR2(578, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(578, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(350)%branchR2(0:1))
      call avR2(350, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(350, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1838/))

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1201/))

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_955/))

      allocate(vertices(1154)%branchR2(0:1))
      call avR2(1154, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_946, nGC_947/))

      call avR2(1154, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(839)%branchR2(0:1))
      call avR2(839, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(839, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(551)%branchR2(0:1))
      call avR2(551, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_971, nGC_969/))

      call avR2(551, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_972, nGC_970/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(1662)%branchR2(0:1))
      call avR2(1662, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_1183/))

      call avR2(1662, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_1184/))

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_979/))

      allocate(vertices(1111)%branchR2(0:1))
      call avR2(1111, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(1111, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1168)%branchR2(0:0))
      call avR2(1168, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1165, nGC_1164,        &
      nGC_1166/))

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_927/))

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1209/))

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1663, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_959/))

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_923/))

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1194/))

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_975/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1208/))

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1222/))

      call avR2(1664, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1221/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1836/))

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_903, nGC_904, nGC_918 &
      , nGC_918/))

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_1215, nGC_1215,      &
      nGC_1215/))

      call avR2(1665, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1059/))

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(1666)%branchR2(0:1))
      call avR2(1666, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1039/))

      call avR2(1666, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1040/))

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(33)%branchR2(0:1))
      call avR2(33, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1021, nGC_1019/))

      call avR2(33, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1022, nGC_1020/))

      allocate(vertices(1463)%branchR2(0:0))
      call avR2(1463, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_973/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1209/))

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(323)%branchR2(0:1))
      call avR2(323, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1086/))

      call avR2(323, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_1184/))

      call avR2(1667, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_1183/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1068, nGC_1069/))

      allocate(vertices(1188)%branchR2(0:1))
      call avR2(1188, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(1188, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(79)%branchR2(0:1))
      call avR2(79, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1047, nGC_1046/))

      call avR2(79, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1048, nGC_1048/))

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1220, nGC_1219,        &
      nGC_1220/))

      allocate(vertices(1276)%branchR2(0:1))
      call avR2(1276, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_931, nGC_932/))

      call avR2(1276, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_940, nGC_939/))

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1669)%branchR2(0:1))
      call avR2(1669, 0, 48, 1, 0, VVS0, (/2, 1/), (/nGC_1040/))

      call avR2(1669, 1, 47, 1, 0, VVS0, (/2, 1/), (/nGC_1039/))

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1836/))

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_879, nGC_877, nGC_878/))

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1670)%branchR2(0:1))
      call avR2(1670, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1670, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      allocate(vertices(258)%branchR2(0:1))
      call avR2(258, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(258, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1343)%branchR2(0:1))
      call avR2(1343, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1015, nGC_1013/))

      call avR2(1343, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1016, nGC_1014/))

      allocate(vertices(859)%branchR2(0:1))
      call avR2(859, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1029, nGC_1028/))

      call avR2(859, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1030, nGC_1030/))

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1173, nGC_1173,      &
      nGC_1173/))

      call avR2(1671, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1172, nGC_1172,      &
      nGC_1172/))

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_943/))

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1166, nGC_1165,        &
      nGC_1164/))

      allocate(vertices(1392)%branchR2(0:1))
      call avR2(1392, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_900, nGC_897, nGC_920 &
      , nGC_920/))

      call avR2(1392, 1, 13, 1, 0, FFa2, (/2, 0/), (/nGC_892, nGC_892, nGC_919 &
      , nGC_919/))

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(816)%branchR2(0:3))
      call avR2(816, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(816, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_1122, nGC_1123/))

      call avR2(816, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(816, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_1120, nGC_1121/))

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_1206/))

      call avR2(1672, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_1207/))

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_929/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_990/))

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1208/))

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1005, nGC_1006/))

      allocate(vertices(1390)%branchR2(0:1))
      call avR2(1390, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_900, nGC_897, nGC_898 &
      , nGC_898/))

      call avR2(1390, 1, 13, 1, 0, FFa2, (/2, 0/), (/nGC_892, nGC_892, nGC_899 &
      , nGC_899/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1162, nGC_1161,       &
      nGC_1162/))

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_943/))

      allocate(vertices(679)%branchR2(0:1))
      call avR2(679, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_983, nGC_982/))

      call avR2(679, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_968, nGC_966/))

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_987/))

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_1206/))

      call avR2(1674, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_1207/))

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_927/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1841/))

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_951, nGC_950/))

      allocate(vertices(146)%branchR2(0:1))
      call avR2(146, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_934, nGC_935/))

      call avR2(146, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_929/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_956/))

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_940, nGC_939/))

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_979/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_930/))

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(868)%branchR2(0:1))
      call avR2(868, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1084/))

      call avR2(868, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(735)%branchR2(0:1))
      call avR2(735, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1106, nGC_1107/))

      call avR2(735, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1205/))

      allocate(vertices(1267)%branchR2(0:1))
      call avR2(1267, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(1267, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1065, nGC_1065/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
